// AceLibrary_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#include <AceLibrary_Mb.h>
#include <ace/Object_Manager.h>

namespace   Innovative
{

//==============================================================================
//  CLASS UsesAceLibrary  --  Perform ACE Library Initialization
//==============================================================================
//------------------------------------------------------------------------------
//  housekeeping for class UsesAceLibrary
//------------------------------------------------------------------------------
ACE_Object_Manager *UsesAceLibrary::    OM = 0;

//------------------------------------------------------------------------------
//  constructor for class UsesAceLibrary
//------------------------------------------------------------------------------

UsesAceLibrary::UsesAceLibrary()
{
    //
    //  Create on first use an ACE object manager and init it.
    if (OM == 0)
        {
        OM = new ACE_Object_Manager;
        OM->init();
        }
}

}  // namespace Innovative
