//---------------------------------------------------------------------------

#ifndef TimeTraceLog_AppH
#define TimeTraceLog_AppH
//---------------------------------------------------------------------------
#include <vector>

namespace Innovative
{
//===========================================================================
//  STRUCT TimeLogData  -- Format for time log information
//===========================================================================

struct TimeLogData
{
    int    Type;
    int    Arg;
    double Time;

    TimeLogData(int type, int arg, double time)
        :  Type(type), Arg(arg), Time(time)
        {}
};

//---------------------------------------------------------------------------
//  Delta T Log Functions
//---------------------------------------------------------------------------

void  Clear_DeltaT_Log();
void  DeltaT_Log(int which, int type, int arg);

std::vector<TimeLogData> *  DeltaTLog_Vec();
}
#endif
