// BandPass_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure 
//  agreement with Innovative Integration Corporation and may not be copied or 
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation. 
//  All Rights Reserved.
//

#ifndef BandPass_MbH
#define BandPass_MbH

#include <BandFilter_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS BandPass  -- BandPass filter 
//===========================================================================

class BandPass : public BandFilter
{
    typedef BandFilter inherited;

public:
    // Ctor
    BandPass();
    BandPass(const BandPass & other);

    // Assignment
    BandPass & operator = ( const BandPass & other );

protected:
    virtual void    CalculateCoefficients();
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // Innovative

#endif
