// BandStop_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure 
//  agreement with Innovative Integration Corporation and may not be copied or 
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation. 
//  All Rights Reserved.
//

#ifndef BandStop_MbH
#define BandStop_MbH

#include <BandFilter_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS BandStop  -- Band stop filter
//===========================================================================

class BandStop : public BandFilter
{
    typedef BandFilter inherited;

public:
    // Ctpr
    BandStop();
    BandStop(const BandStop & other);

    // Assignment
    BandStop & operator = ( const BandStop & other );

protected:
    virtual void    CalculateCoefficients();
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // Innovative

#endif
