#ifndef CARDSHARPDEVICEDRIVER_MbH
#define CARDSHARPDEVICEDRIVER_MbH


#include <DeviceDriver_Mb.h>
#include <MultiChanStreamSupport_Mb.h>

//---------------------------------------------------------------------------
namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS CardSharpDeviceDriver  -- Driver level code for CardSharp object
//===========================================================================

class CardSharpDeviceDriver :  public InnovativeKernel::MultiChannelBMDeviceDriver, public InnovativeKernel::IMultiChanOwnerDM
{
public:
    typedef InnovativeKernel::MultiChannelBMDeviceDriver inherited;

    virtual void  InitializeResources();
    virtual void  ReleaseResources();

    //
    //  Member Functions
    CardSharpDeviceDriver();

    virtual void     TraceLog(int type, int data) {}
    virtual Innovative::Trace &  TextLog() { return Debug;}

    static InnovativeKernel::IsrLog * LOG;
	Trace                   Debug;
};


#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // Innovative


#endif // CARDSHARPDEVICEDRIVER_MbH
