// Chico_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//


#include <Chico_Mb.h>
#include <ChicoDeviceMap_Mb.h>
#include <DeviceDriver_Mb.h>


namespace   Innovative
{                                                                          
 
//===========================================================================
//  CLASS Chico  --  Chico baseboard class
//===========================================================================
//---------------------------------------------------------------------------
// Chico::Chico() --
//---------------------------------------------------------------------------
#ifdef _MSC_VER		
	#pragma warning(push)	
	#pragma warning(disable : 4355)		
#endif 
Chico::Chico()
{
    mDevice = new ChicoDeviceMap;
}

#ifdef _MSC_VER
	#pragma warning(pop)
#endif
//---------------------------------------------------------------------------
// Chico::~Chico() --
//---------------------------------------------------------------------------

Chico::~Chico()
{
//    TMatadorMessageThread::Unregister(this);
	delete mDevice;
}

//---------------------------------------------------------------------------
//  Chico::Open() --
//---------------------------------------------------------------------------

void Chico::Open()
{
	mDevice->Open();
}

//---------------------------------------------------------------------------
//  Matador::Close() --
//---------------------------------------------------------------------------

void Chico::Close()
{
	mDevice->Close();
}

//---------------------------------------------------------------------------
//  Matador::Target() --
//------------------------------------------------------------------------------

void Chico::Target(unsigned int value)
{
	mDevice->Target(value);
}

//---------------------------------------------------------------------------
//  Matador::Target() --
//------------------------------------------------------------------------------

unsigned int Chico::Target() const
{
	return mDevice->Target();
}

//---------------------------------------------------------------------------
//  Matador::Led() --
//------------------------------------------------------------------------------

void Chico::Led(bool state)
{
	mDevice->Led(state);
}

//---------------------------------------------------------------------------
//  Matador::Led() --
//------------------------------------------------------------------------------

bool Chico::Led() const
{
	return mDevice->Led();
}

//---------------------------------------------------------------------------
//  Matador::Reset() --
//------------------------------------------------------------------------------

void Chico::Reset()
{
//    if (!mDevice->Opened)
 //       throw Innovative::MalibuException("Error, device not open.");

	//
	//  Board Reset
	mDevice->Reset();
}
//---------------------------------------------------------------------------
//  Chico::DioData() --
//------------------------------------------------------------------------------
void Chico::DioData(int value)
{
    mDevice->DioData(value);
}
//---------------------------------------------------------------------------
//  Chico::DioData() --
//------------------------------------------------------------------------------
int  Chico::DioData()
{
    return mDevice->DioData();
}

//---------------------------------------------------------------------------
//  Chico::DioConfig() --
//------------------------------------------------------------------------------
void Chico::DioConfig(int mask)
{
    mDevice->DioConfig(mask);
}

//---------------------------------------------------------------------------
//  Chico::DioConfig() --
//------------------------------------------------------------------------------
int  Chico::DioConfig()
{
    return mDevice->DioConfig();
}

} // namespace Innovative

