// CommonGen_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#include <CommonGen_Mb.h>

namespace   Innovative
{

//---------------------------------------------------------------------------
//  CommonGen::Generate() --
//---------------------------------------------------------------------------

bool CommonGen::Generate(IppComplexDG & buffer)
{
    bool result = true;

	Buffer b(Holding<float>(buffer.size()));
	IppFloatDG RealPart(b);

    result &= Generate(RealPart);

	buffer.Set(RealPart);

    return result;
}

} // namespace Innovative

