// DataTypes_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef DataTypes_MbH
#define DataTypes_MbH

#include <stddef.h>


//---------------------------------------------------------------------------
typedef unsigned char     ii8;
typedef unsigned short    ii16;
typedef unsigned int      ii32;

#if defined(__GNUC__)
    #include <stdint.h>

    #ifndef __int64
    #define __int64 long long 
    #endif

#if defined(WIN32) || defined(WIN64) || defined(LINUX)
    #include <stdint.h>
#endif

    typedef uint64_t ii64;
    typedef int64_t s_ii64;
    
#else
    typedef unsigned __int64  ii64;
    typedef __int64 s_ii64;
#endif

//=============================================================================
//  CLASS Int64  --  64-bit value wrapper union
//=============================================================================

union Int64
{
    struct
    {
    ii32    Lo;
    ii32    Hi;
    };
    ii64    All;
};

//---------------------------------------------------------------------------

#endif
