// FcfFile_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef FcfFile_MbH
#define FcfFile_MbH

#include <StringVector_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
// CLASS FcfFile  --  Matlab filter coefficient file parser
//===========================================================================

class FcfFile
{
public:
    typedef std::vector<double> DoubleArray;

    // CTor
    FcfFile();

    // Methods
    bool    Read(const std::string & filename);

    // Data
    DoubleArray     Coefficient;

private:
    //
    //  Member Data
    Innovative::StringVector    FFile;
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
}  // namespace Innovative

#endif

