// Thunker_Con.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#include <string>
#include "Thunker_Con.h"
#include <Events_Mb.h>

namespace   Innovative
{

//=============================================================================
//  CLASS Thunker  --  "Thunk" call into main thread, unlocked with caller
//=============================================================================

//---------------------------------------------------------------------------
//  constructor for class Thunker
//---------------------------------------------------------------------------

Thunker::Thunker()
{

}

//---------------------------------------------------------------------------
//  destructor for class Thunker
//---------------------------------------------------------------------------

Thunker::~Thunker()
{
}

//---------------------------------------------------------------------------
//  Thunker::Notify() --
//---------------------------------------------------------------------------

bool Thunker::Notify()
{
    return true;
}

//---------------------------------------------------------------------------
//  Thunker::Dispatch() --
//---------------------------------------------------------------------------

void Thunker::Dispatch()
{
}

//---------------------------------------------------------------------------
//  Thunker::CanThunk() --
//---------------------------------------------------------------------------

bool Thunker::CanThunk()
{
    return false;
}

//=============================================================================
//  Thunker Factory Methods
//=============================================================================

//---------------------------------------------------------------------------
//  NewThunker() --
//---------------------------------------------------------------------------

ThunkerIntf * NewThunker()
{
    return new Thunker;
}

//---------------------------------------------------------------------------
//  DeleteThunker() --
//---------------------------------------------------------------------------

void DeleteThunker ( ThunkerIntf * thunker )
{
    delete thunker;
}


}  // namespace
