// PipeThread_Win.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef PipeThread_WinH
#define PipeThread_WinH

#include <Buffer_Mb.h>

namespace   Innovative
{

//===========================================================================
//  CLASS  PipeSupport   ---  Named pipe support class
//===========================================================================

class PipeBase;

class PipeSupport
{
public:

    // Ctor
    PipeSupport(PipeBase * owner);
    ~PipeSupport();

    // Methods
    int                 Write(const Buffer & buffer);
    int                 Write(const std::string & msg);

    bool                Connected() const;
    bool                Opened() const;

private:
    class PipeImpl *    Impl;
};

} // namespace Innovative

#endif
