//  IPciBusDiagnostics_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2006 Innovative Integration Corporation.
//  All Rights Reserved.
//


#ifndef IPciBusDiagnostics_MbH
#define IPciBusDiagnostics_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS IPciBusDiagnostics -- Interface to PCI bus diagnostic data
//===========================================================================

class IPciBusDiagnostics
{
public:
    virtual int      RxPacketPeriod() const = 0;
    virtual int      TxPacketPeriod() const= 0;

    virtual float    PciClockRate() const = 0;
    virtual int      PciBusWidth() const = 0;
    virtual int      RocketIoErrors() const = 0;
    
    virtual ~IPciBusDiagnostics() {}
};



#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // Innovative
//---------------------------------------------------------------------------
#endif
