// Lock_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#include <Lock_Mb.h>

namespace   Innovative
{

//---------------------------------------------------------------------------
// Lock::Lock() --
//---------------------------------------------------------------------------

Lock::Lock()
{
}

//---------------------------------------------------------------------------
//  Lock::EnterRead() --
//---------------------------------------------------------------------------

void Lock::EnterRead()
{
    Read.Acquire();
}

//---------------------------------------------------------------------------
//  Lock::LeaveRead() --
//---------------------------------------------------------------------------

void Lock::LeaveRead()
{
    Read.Release();
}

//---------------------------------------------------------------------------
//  Lock::EnterWrite() --
//---------------------------------------------------------------------------

void Lock::EnterWrite()
{
    Write.Acquire();
}

//---------------------------------------------------------------------------
//  Lock::LeaveWrite() --
//---------------------------------------------------------------------------

void Lock::LeaveWrite()
{
    Write.Release();
}

} // Innovative
