// MlsSequence_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef MLSequence_MBH
#define MLSequence_MBH

#include <vector>
#include <cstddef>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

class MLSequence
{
public:
    MLSequence()
        {  }

    unsigned int  Order(const unsigned int order);
    unsigned char operator[] (size_t i) const;
    size_t  numElements() const;

private:
    MLSequence(MLSequence& );

    std::vector < unsigned char > mMls;
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
}  // namespace Innovative

#endif
