// MalibuVersion_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef MalibuVersion_MbH
#define MalibuVersion_MbH

#include <Osal_Mb.h>
#include <string>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//==============================================================================
//  CLASS MalibuVersion -- Manages version info
//==============================================================================

#define MALIBU_VERSION_STRING "4.4.3"


class MalibuVersion
{
public:
    MalibuVersion();
    virtual ~MalibuVersion();

    std::string Driver() const;
    std::string DriverRaw() const;
    std::string Licence() const;
    std::string Malibu() const;

private:
    std::string malibuversion;
    InnovativeKernel::Osal::VersionImpl *pimpl;
};



#ifdef __CLR_VER
#pragma managed(pop)
#endif
}  // namespace Innovative

#endif

