// MemoryUtils.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2007 Innovative Integration Corporation.
//  All Rights Reserved.
//

//---------------------------------------------------------------------------
#ifndef MemoryUtils_MbH
#define MemoryUtils_MbH
//---------------------------------------------------------------------------
#include <DataTypes_Mb.h>
//---------------------------------------------------------------------------
namespace Innovative
{
    extern void   ( *CopyInt32Buffer )( const int *src_buffer, int *dst_buffer, size_t size );
    extern void   ( *CopyInt64Buffer )( const ii64 *src_buffer, ii64 *dst_buffer, size_t size );
    extern void   ( *CopyByteBuffer )( const unsigned char *src_buffer, unsigned char *dst_buffer, size_t size );
}
#endif
