//  P25MemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef P25MemoryMap_MbH
#define P25MemoryMap_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

namespace P25_MemoryMap
{
    //
    //  Port Memory Registers
    const unsigned int  mmFpgaData            = 0x12000;
    const unsigned int  mmFpgaControl         = 0x12400;
    const unsigned int  mmI2c                 = 0x12800;
    const unsigned int  mmJtag                = 0x12c00;

    const unsigned int  mmInterruptEnable     = 0x14400;
    const unsigned int  mmCreditQueue         = 0x14800;

    const unsigned int  mmBmRingBaseAddress   = 0x15000;
    const unsigned int  mmBmRingSize          = 0x15400;
    const unsigned int  mmPciVersion          = 0x15c00;

    const unsigned int  mmRxPacketTimer       = 0;      // Mocked
    const unsigned int  mmTxPacketTimer       = 0;      // Mocked

    const unsigned int  mmPciTestControl      = 0x17000;

    const unsigned int  mmInterruptStatus     = 0x19000;
    const unsigned int  mmControl             = 0x19400;
    const unsigned int  mmStatus              = 0x19800;

    const unsigned int  mmHpiControlLo        = 0x1c000;
    const unsigned int  mmHpiControlHi        = 0x1c400;
    const unsigned int  mmHpiAddressLo        = 0x1c800;
    const unsigned int  mmHpiAddressHi        = 0x1cc00;

    const unsigned int  mmHpiDataIncrLo       = 0x1d000;
    const unsigned int  mmHpiDataIncrHi       = 0x1d400;
    const unsigned int  mmHpiDataLo           = 0x1d800;
    const unsigned int  mmHpiDataHi           = 0x1dc00;
    //
    //  Logic Memory Registers


} // end namespace P25_MemoryMap

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // end namespace Innovative


#endif
