//---------------------------------------------------------------------------
// PexBoard_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2011 Innovative Integration Corporation.
//  All Rights Reserved.
//


#include <PexBoard_Mb.h>

namespace Innovative
{

#ifdef _MSC_VER
    #pragma warning(push)
    #pragma warning(disable : 4355)
#endif

//===========================================================================
//  CLASS PexBoard  -- Pex Common baseboard class
//===========================================================================
//---------------------------------------------------------------------------
//  constructor for class PexBoard
//---------------------------------------------------------------------------

PexBoard::PexBoard(PexDeviceMap & deviceMap)
    :  FmcCarrierAdvBoard(deviceMap),
       PexDeviceRef(deviceMap)
{
}

//---------------------------------------------------------------------------
//  destructor for class PexBoard
//---------------------------------------------------------------------------

PexBoard::~PexBoard()
{
    // Don't call anything using PexDeviceRef here - put in most derived class
}


#ifdef _MSC_VER
    #pragma warning(pop)
#endif


}  // namespace Innovative
