//---------------------------------------------------------------------------
// PmcBoard_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2010 Innovative Integration Corporation.
//  All Rights Reserved.
//

#include <PmcBoard_Mb.h>

namespace Innovative
{

#ifdef _MSC_VER
    #pragma warning(push)
    #pragma warning(disable : 4355)
#endif

//===========================================================================
//  CLASS PmcBoard  -- Pmc Common baseboard class
//===========================================================================
//---------------------------------------------------------------------------
//  constructor for class PmcBoard
//---------------------------------------------------------------------------

PmcBoard::PmcBoard(PacketDeviceMap & deviceMap)
    :  IIsAPacketStreamBoard(deviceMap), PmcDeviceRef(deviceMap)
{
}

//---------------------------------------------------------------------------
//  destructor for class PmcBoard
//---------------------------------------------------------------------------

PmcBoard::~PmcBoard()
{
}

//---------------------------------------------------------------------------
//  PmcBoard::Internals() -- Internal Packet Stream Interface
//---------------------------------------------------------------------------

IPacketStreamDeviceInternals *  PmcBoard::Internals()
{
    return &PmcDeviceRef;
}


#ifdef _MSC_VER
    #pragma warning(pop)
#endif


}  // namespace Innovative
