# -------------------------------------------------
# Project created by QtCreator 2009-12-22T10:28:08
# -------------------------------------------------
QT -= core \
    gui
TEMPLATE = lib
CONFIG += staticlib
CONFIG += c++11
DEFINES += GCC
DEFINES -= UNICODE

HOMEDIR = "../../../"

unix {
    DEFINES += LINUX UNIX
}
win32 {
    contains(QMAKE_HOST.arch, x86_64) {
        DEFINES += WIN64
    }
}
CONFIG(debug, debug|release) {
    DESTDIR =../../../Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR =../../../Lib/Gcc/Release
    OBJECTS_DIR = release
}
INCLUDEPATH = $$HOMEDIR/Malibu \
    $$HOMEDIR/Malibu/Jungo \
    $$HOMEDIR/Malibu/Xilinx \
    $$HOMEDIR/Malibu/IPP \
    $$HOMEDIR/MalibuStreamStor \
    $$HOMEDIR/Malibu/Poco/Foundation/include


TARGET = Analysis_Mb
SOURCES += ../../CommonFilter_Mb.cpp \
    ../../BandFilter_Mb.cpp \
    ../../BandPass_Mb.cpp \
    ../../BandStop_Mb.cpp \
    ../../LowPass_Mb.cpp \
    ../../HighPass_Mb.cpp \
    ../../Fir_Mb.cpp \
    ../../Iir_Mb.cpp \
    ../../CommonGen_Mb.cpp \
    ../../GaussGen_Mb.cpp \
    ../../SignalGen_Mb.cpp \
    ../../Fourier_Mb.cpp \
    ../../InverseFourier_Mb.cpp \
    ../../RandomGen_Mb.cpp \
    ../../AdcStats_Mb.cpp \
    ../../MLSequence_Mb.cpp \
    ../../SystemResponse_Mb.cpp \
    ../../StimulusResponse_Mb.cpp \
    ../../IppCharDG_Mb.cpp \
    ../../IppComplexDG_Mb.cpp \
    ../../IppFloatDG_Mb.cpp \
    ../../IppIntegerDG_Mb.cpp \
    ../../IppMemoryUtils_Mb.cpp \
    ../../IppShortDG_Mb.cpp \
    ../../IppSupport_Mb.cpp \
    ../../Splitter_Mb.cpp \
    ../../Merger_Mb.cpp \
    ../../CommonFourier_Mb.cpp \
    ../../IppDoubleDG_Mb.cpp

HEADERS += \
    ../../CommonFourier_Mb.h \
    ../../AdcStats_Mb.h \
    ../../BandFilter_Mb.h \
    ../../BandPass_Mb.h \
    ../../BandStop_Mb.h \
    ../../CommonFilter_Mb.h \
    ../../CommonGen_Mb.h \
    ../../Fir_Mb.h \
    ../../Fourier_Mb.h \
    ../../GaussGen_Mb.h \
    ../../HighPass_Mb.h \
    ../../Iir_Mb.h \
    ../../InverseFourier_Mb.h \
    ../../IppCharDG_Mb.h \
    ../../IppComplexDG_Mb.h \
    ../../IppDoubleDG_Mb.h \
    ../../IppFloatDG_Mb.h \
    ../../IppIntegerDG_Mb.h \
    ../../IppMemoryUtils_Mb.h \
    ../../IppShortDG_Mb.h \
    ../../IppSupport_Mb.h \
    ../../LowPass_Mb.h \
    ../../Merger_Mb.h \
    ../../MLSequence_Mb.h \
    ../../RandomGen_Mb.h \
    ../../SignalGen_Mb.h \
    ../../Splitter_Mb.h \
    ../../StimulusResponse_Mb.h \
    ../../SystemResponse_Mb.h
