# -------------------------------------------------
# Project created by QtCreator 2009-12-21T09:08:46
# -------------------------------------------------
QT -= core \
    gui
TEMPLATE = lib
CONFIG += staticlib
DEFINES += GCC POCO_NO_SOO
DEFINES -= UNICODE
CONFIG += c++11

HOMEDIR = "../../../"
unix {
    DEFINES += LINUX UNIX
}
win32 {
    contains(QMAKE_HOST.arch, x86_64) {
        DEFINES += WIN64 POCO_NO_FPENVIRONMENT
    }
}
CONFIG(debug, debug|release) {
    DESTDIR =../../../Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR =../../../Lib/Gcc/Release
    OBJECTS_DIR = release
}
INCLUDEPATH = $$HOMEDIR/Malibu \
    $$HOMEDIR/Malibu/Poco/Foundation/include \
    $$HOMEDIR/Malibu/Xilinx \
    $$HOMEDIR/Malibu/Ipp \
    $$HOMEDIR/Malibu/Application

# $$HOMEDIR/Malibu/Framework/Windows
TARGET = Application_Mb
SOURCES += ../../Application/IniSaver_App.cpp \
    ../../Application/ScriptPlayer_App.cpp \
    ../../Application/StaticWaveform_App.cpp \
    ../../Application/TriggerManager_App.cpp \
    ../../Application/BlockChecker_App.cpp \
    ../../Application/TimeTraceLog_App.cpp \
    ../../Application/BinviewPlotter_App.cpp \
    ../../Application/FiclIo_App.cpp \
    ../../Application/MultiLoggerManager_App.cpp \
    ../../Application/McImageChecker_App.cpp \
    ../../Application/XU_OutputManager_App.cpp \
    ../../Application/BddFile_Mb.cpp \
    ../../Application/TxtFile_Mb.cpp
win32:SOURCES += ../../Application/Oscilloscope_App.cpp

HEADERS += \
    ../../Application/McImageChecker_App.h \
    ../../Application/XU_OutputManager_App.h \
    ../../Application/BddFile_Mb.h \
    ../../Application/TxtFile_Mb.h
