#-------------------------------------------------
#
# Project created by QtCreator 2009-12-22T10:32:12
#
#-------------------------------------------------

#QT       -= core gui

TEMPLATE = lib
CONFIG += staticlib
DEFINES += GCC
DEFINES -= UNICODE
HOMEDIR = "../../../"
unix {
    DEFINES += LINUX UNIX
}

win32 {
   contains(QMAKE_HOST.arch, x86_64) {
        DEFINES += WIN64
    }
}

CONFIG(debug, debug|release) {
    DESTDIR =../../../Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR =../../../Lib/Gcc/Release
    OBJECTS_DIR = release
}


INCLUDEPATH = $$HOMEDIR/Malibu \
              $$HOMEDIR/Malibu/Framework/Qt \
              $$HOMEDIR/Malibu/FrameWork/Windows \
              $$HOMEDIR/Malibu/Poco/Foundation/include

TARGET = Framework_Con

SOURCES += \
  ../../Framework/Console/CommandLine_Con.cpp	\
  ../../Framework/Console/Thunker_Con.cpp \

win32 {
SOURCES += \
    ../../Framework/Windows/Dos_Win.cpp \
    ../../Framework/Windows/DosThread_Win.cpp \
    ../../Framework/Windows/FileFind_Win.cpp \
    ../../Framework/Windows/FileFindThread_Win.cpp \
    ../../Framework/Windows/Mailslot_Win.cpp \
    ../../Framework/Windows/MemDrvCtrl_Win.cpp \
    ../../Framework/Windows/MultiMedia_Win.cpp \
    ../../Framework/Windows/MultiObject_Win.cpp \
    ../../Framework/Windows/OsDetector_Win.cpp \
    ../../Framework/Windows/Pipe_Win.cpp \
    ../../Framework/Windows/PipeThread_Win.cpp \
    ../../Framework/Windows/Registry_Win.cpp \
    ../../Framework/Windows/Shutdown_Win.cpp \
    ../../Framework/Windows/VersionInfo_Win.cpp
}

OTHER_FILES +=

win32 {
HEADERS += \
    ../../Framework/Windows/Dos_Win.h \
    ../../Framework/Windows/DosThread_Win.h \
    ../../Framework/Windows/Event_Win.h \
    ../../Framework/Windows/FileFind_Win.h \
    ../../Framework/Windows/FileFindThread_Win.h \
    ../../Framework/Windows/Mailslot_Win.h \
    ../../Framework/Windows/MemDrvCtrl_Win.h \
    ../../Framework/Windows/MultiMedia_Win.h \
    ../../Framework/Windows/MultiObject_Win.h \
    ../../Framework/Windows/Mutex_Win.h \
    ../../Framework/Windows/OsDetector_Win.h \
    ../../Framework/Windows/Overlapped_Win.h \
    ../../Framework/Windows/Pipe_Win.h \
    ../../Framework/Windows/PipeThread_Win.h \
    ../../Framework/Windows/Registry_Win.h \
    ../../Framework/Windows/Semaphore_Win.h \
    ../../Framework/Windows/Shutdown_Win.h \
    ../../Framework/Windows/VersionInfo_Win.h
}
