#-------------------------------------------------
#
# Project created by QtCreator 2009-12-22T10:33:59
#
#-------------------------------------------------
QT     -= core gui

TEMPLATE = lib
CONFIG += staticlib
CONFIG += c++11
DEFINES += GCC
DEFINES -= UNICODE WINNT
DEFINES += _MT

HOMEDIR = "../../../"
unix {
    DEFINES += LINUX UNIX

   contains(QMAKE_HOST.arch, x86_64) {
       DEFINES += KERNEL_64BIT
   } else {
       DEFINES += WD_DRIVER_NAME_CHANGE
   }
}

win32-g++ {

   contains(QMAKE_HOST.arch, x86_64) {
       DEFINES += WIN64 KERNEL_64BIT WD_DRIVER_NAME_CHANGE
   } else {
       DEFINES += WIN32 WD_DRIVER_NAME_CHANGE ALIGNMENT_FIX
   }
}


DEFINES += POCO_NO_UNWINDOWS

CONFIG(debug, debug|release) {
    DESTDIR =../../../Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR =../../../Lib/Gcc/Release
    OBJECTS_DIR = release
}


INCLUDEPATH = $$HOMEDIR/Malibu \
    $$HOMEDIR/WinDriver \
    $$HOMEDIR/KerPlug \
    $$HOMEDIR/Malibu/Poco/Foundation/include \
    $$HOMEDIR/Malibu/Poco/Net/include

TARGET = Os_Mb

SOURCES += \
  ../../Mutex_Mb.cpp	\
  ../../DebugSupport_Mb.cpp	\
  ../../DeviceDriver_Mb.cpp	\
  ../../DeviceEnum_Mb.cpp	\
  ../../Event_Mb.cpp	\
  ../../Lock_Mb.cpp	\
  ../../MultipleObjects_Mb.cpp	\
  ../../Semaphore_Mb.cpp	\
  ../../SingleWriteLock_Mb.cpp	\
  ../../SyncObject_Mb.cpp	\
  ../../SyncObjects_Mb.cpp	\
  ../../Synchronizer_Mb.cpp \
  ../../SystemSupport_Mb.cpp	\
  ../../Thread_Mb.cpp	\
  ../../KernelPci_Mb.cpp \
  ../../Osal_Mb.cpp \
  ../../DeviceDriverBmManager_Mb.cpp

HEADERS += \
    Osal_Win.h
