# -------------------------------------------------
# Project created by QtCreator 2009-12-22T10:38:25
# -------------------------------------------------
QT -= core \
    gui
TEMPLATE = lib
CONFIG += staticlib
CONFIG += c++11
DEFINES += GCC
DEFINES -= UNICODE

HOMEDIR = "../../../"
unix {
    DEFINES += LINUX \
        UNIX
}
win32 {
    contains(QMAKE_HOST.arch, x86_64) {
    DEFINES += WIN64
    }
}
CONFIG(debug, debug|release) { 
    DESTDIR =../../../Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else { 
    DESTDIR =../../../Lib/Gcc/Release
    OBJECTS_DIR = release
}
INCLUDEPATH = $$HOMEDIR/Malibu \
    $$HOMEDIR/Malibu/Jungo \
    $$HOMEDIR/Malibu/Xilinx \
    $$HOMEDIR/Malibu/Ipp \
    $$HOMEDIR/Malibu/Poco/Foundation/include \
    $$HOMEDIR/Malibu/StreamStor
TARGET = Pci_Mb
SOURCES += ../../BaseboardCpuInterfaces_Mb.cpp \
    ../../MatadorMessageSupport_Mb.cpp \
    ../../MatadorMessage_Mb.cpp \
    ../../MatadorMessageStream_Mb.cpp \
    ../../MatadorDeviceDriver_Mb.cpp \
    ../../MatadorDeviceMap_Mb.cpp \
    ../../Matador_Mb.cpp \
    ../../TiBmStream_Mb.cpp \
    ../../TiBmInterruptScheme_Mb.cpp \
    ../../TiBmDeviceMap_Mb.cpp \
    ../../C64xDspDeviceDriver_Mb.cpp \
    ../../C64xDspDeviceMap_Mb.cpp \
    ../../C64xDsp_Mb.cpp \
    ../../QuixoteDeviceDriver_Mb.cpp \
    ../../QuixoteDeviceMap_Mb.cpp \
    ../../Quixote_Mb.cpp \
    ../../QuadiaDeviceDriver_Mb.cpp \
    ../../QuadiaDeviceMap_Mb.cpp \
    ../../Quadia_Mb.cpp \
    ../../QuadiaCs_Mb.cpp \
    ../../M6713DeviceDriver_Mb.cpp \
    ../../M6713DeviceMap_Mb.cpp \
    ../../M6713_Mb.cpp \
    ../../SioTrigger_Mb.cpp \
    ../../SioDeviceDriver_Mb.cpp \
    ../../SioDeviceMap_Mb.cpp \
    ../../Sio_Mb.cpp \
    ../../DigitalReceiverDeviceMap_Mb.cpp \
    ../../DigitalReceiverDeviceDriver_Mb.cpp \
    ../../DigitalReceiver_Mb.cpp \
    ../../UwbDeviceDriver_Mb.cpp \
    ../../UwbDeviceMap_Mb.cpp \
    ../../Uwb_Mb.cpp \
    ../../UwbCs_Mb.cpp \
    ../../TxDeviceDriver_Mb.cpp \
    ../../TxDeviceMap_Mb.cpp \
    ../../Tx_Mb.cpp \
    ../../ClockGenerator_Mb.cpp \
    ../../ClockGeneratorDeviceDriver_Mb.cpp \
    ../../P25_Mb.cpp \
    ../../P25DeviceDriver_Mb.cpp \
    ../../P25DeviceMap_Mb.cpp \
    ../../X3IoDevice_Mb.cpp \
    ../../X3AlertSystem_Mb.cpp \
    ../../X3DeviceDriver_Mb.cpp \
    ../../X3DeviceMap_Mb.cpp \
    ../../X3SDDeviceMap_Mb.cpp \
    ../../X3SD_Mb.cpp \
    ../../X3SDF_Mb.cpp \
    ../../X3SDFDeviceMap_Mb.cpp \
    ../../X3ClockDivider_Mb.cpp \
    ../../X3_10MDeviceMap_Mb.cpp \
    ../../X3_10M_Mb.cpp \
    ../../X5AlertSystem_Mb.cpp \
    ../../X5DeviceDriver_Mb.cpp \
    ../../X5DeviceMap_Mb.cpp \
    ../../X5IoDevice_Mb.cpp \
    ../../X5_400MDeviceMap_Mb.cpp \
    ../../X5_400M_Mb.cpp \
    ../../ClockGeneratorDeviceMap_Mb.cpp \
    ../../X3ServoDeviceMap_Mb.cpp \
    ../../X3Servo_Mb.cpp \
    ../../X5_210MDeviceMap_Mb.cpp \
    ../../X5_210M_Mb.cpp \
    ../../Sbc_ComExDeviceDriver_Mb.cpp \
    ../../Sbc_ComExDeviceMap_Mb.cpp \
    ../../Sbc_ComEx_Mb.cpp \
    ../../X3_25MDeviceMap_Mb.cpp \
    ../../X3_25M_Mb.cpp \
    ../../X3_A4D4DeviceMap_Mb.cpp \
    ../../X3_A4D4_Mb.cpp \
    ../../X3_DigIODeviceMap_Mb.cpp \
    ../../X3_DigIO_Mb.cpp \
    ../../X5_GSPSDeviceMap_Mb.cpp \
    ../../X5_GSPS_Mb.cpp \
    ../../ChicoDeviceDriver_Mb.cpp \
    ../../ChicoDeviceMap_Mb.cpp \
    ../../Chico_Mb.cpp \
    ../../X5_COMDeviceMap_Mb.cpp \
    ../../X5_COM_Mb.cpp \
    ../../X3_TimingDeviceDriver_Mb.cpp \
    ../../X3_TimingDeviceMap_Mb.cpp \
    ../../X3_Timing_Mb.cpp \
    ../../X5_G12DeviceMap_Mb.cpp \
    ../../X5_G12_Mb.cpp \
    ../../X3_2MDeviceMap_Mb.cpp \
    ../../X3_2M_Mb.cpp \
    ../../X5_RXDeviceMap_Mb.cpp \
    ../../X5_RX_Mb.cpp \
    ../../X5_TXDeviceMap_Mb.cpp \
    ../../X5_TX_Mb.cpp \
    ../../X3_SD16_Mb.cpp \
    ../../X3_SD16DeviceMap_Mb.cpp \
    ../../X6DeviceMap_Mb.cpp \
    ../../X6DeviceDriver_Mb.cpp \
    ../../X6_RXDeviceMap_Mb.cpp \
    ../../X6_RX_Mb.cpp \
    ../../X6Board_Mb.cpp \
    ../../X5Board_Mb.cpp \
    ../../X3Board_Mb.cpp \
    ../../PmcBoard_Mb.cpp \
    ../../LegacyBoard_Mb.cpp \
    ../../X6Support_Mb.cpp \
    ../../X6SubDevice_Stream_Mb.cpp \
    ../../X6SubDevice_Misc_Mb.cpp \
    ../../X6SubDevice_AnalogOut_Mb.cpp \
    ../../X6SubDevice_AnalogIn_Mb.cpp \
    ../../X6Idrom_Mb.cpp \
    ../../X6_400MDeviceMap_Mb.cpp \
    ../../X6_400M_Mb.cpp \
    ../../X6_GSPSDeviceMap_Mb.cpp \
    ../../X6_GSPS_Mb.cpp \
    ../../X6_1000M_Mb.cpp \
    ../../X6_1000MDeviceMap_Mb.cpp \
    ../../X6_250MDeviceMap_Mb.cpp \
    ../../X6_250M_Mb.cpp \
    ../../X3FifoExtension_Mb.cpp

HEADERS += ../../X5_RXMemoryMap_Mb.h \
    ../../X5_RXDeviceMap_Mb.h \
    ../../X5_RX_Mb.h \
    ../../X5_TXMemoryMap_Mb.h \
    ../../X5_TXDeviceMap_Mb.h \
    ../../X5_TX_Mb.h
