# -------------------------------------------------
# Project created by QtCreator 2009-12-22T10:29:44
# -------------------------------------------------
QT -= core \
    gui
TEMPLATE = lib
CONFIG += staticlib
CONFIG += c++11
DEFINES += GCC POCO_NO_SOO
DEFINES -= UNICODE


HOMEDIR = "../../../"
unix {
    DEFINES += LINUX POCO_NO_WINDOWS_H
}
win32 {
    contains(QMAKE_HOST.arch, x86_64):DEFINES += WIN64
    DEFINES += "_WIN32" \
        "MINGW32" \
        "WINVER=0x0500" \
        "POCO_OS_FAMILY_WINDOWS" \
        "POCO_STATIC" \
        "PCRE_STATIC" \
        "POCO_THREAD_STACK_SIZE" \
        "Foundation_Config_INCLUDED" \
        "POCO_WIN32_UTF8" \
        "POCO_NO_FPENVIRONMENT"
}
CONFIG(debug, debug|release) {
    DESTDIR =../../../Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR =../../../Lib/Gcc/Release
    OBJECTS_DIR = release
}
QMAKE_CFLAGS_DEBUG += -w \
    -O0
QMAKE_CXXFLAGS_DEBUG += -w \
    -O0
QMAKE_CFLAGS_RELEASE += -w \
    -O0
QMAKE_CXXFLAGS_RELEASE += -w \
    -O0
INCLUDEPATH = $$HOMEDIR/Malibu \
    $$HOMEDIR/Malibu/Poco/Net/include \
    $$HOMEDIR/Malibu/Poco/Foundation/include
TARGET = Poco_Net_Mb
SOURCES += ../../Poco/Net/src/AbstractHTTPRequestHandler.cpp \
    ../../Poco/Net/src/DatagramSocket.cpp \
    ../../Poco/Net/src/DatagramSocketImpl.cpp \
    ../../Poco/Net/src/DialogSocket.cpp \
    ../../Poco/Net/src/DNS.cpp \
    ../../Poco/Net/src/FilePartSource.cpp \
    ../../Poco/Net/src/FTPClientSession.cpp \
    ../../Poco/Net/src/FTPStreamFactory.cpp \
    ../../Poco/Net/src/HostEntry.cpp \
    ../../Poco/Net/src/HTMLForm.cpp \
    ../../Poco/Net/src/HTTPAuthenticationParams.cpp \
    ../../Poco/Net/src/HTTPBasicCredentials.cpp \
    ../../Poco/Net/src/HTTPBufferAllocator.cpp \
    ../../Poco/Net/src/HTTPChunkedStream.cpp \
    ../../Poco/Net/src/HTTPClientSession.cpp \
    ../../Poco/Net/src/HTTPCookie.cpp \
    ../../Poco/Net/src/HTTPCredentials.cpp \
    ../../Poco/Net/src/HTTPDigestCredentials.cpp \
    ../../Poco/Net/src/HTTPFixedLengthStream.cpp \
    ../../Poco/Net/src/HTTPHeaderStream.cpp \
    ../../Poco/Net/src/HTTPIOStream.cpp \
    ../../Poco/Net/src/HTTPMessage.cpp \
    ../../Poco/Net/src/HTTPRequest.cpp \
    ../../Poco/Net/src/HTTPRequestHandler.cpp \
    ../../Poco/Net/src/HTTPRequestHandlerFactory.cpp \
    ../../Poco/Net/src/HTTPResponse.cpp \
    ../../Poco/Net/src/HTTPServer.cpp \
    ../../Poco/Net/src/HTTPServerConnection.cpp \
    ../../Poco/Net/src/HTTPServerConnectionFactory.cpp \
    ../../Poco/Net/src/HTTPServerParams.cpp \
    ../../Poco/Net/src/HTTPServerRequest.cpp \
    ../../Poco/Net/src/HTTPServerRequestImpl.cpp \
    ../../Poco/Net/src/HTTPServerResponse.cpp \
    ../../Poco/Net/src/HTTPServerResponseImpl.cpp \
    ../../Poco/Net/src/HTTPServerSession.cpp \
    ../../Poco/Net/src/HTTPSession.cpp \
    ../../Poco/Net/src/HTTPSessionFactory.cpp \
    ../../Poco/Net/src/HTTPSessionInstantiator.cpp \
    ../../Poco/Net/src/HTTPStream.cpp \
    ../../Poco/Net/src/HTTPStreamFactory.cpp \
    ../../Poco/Net/src/ICMPClient.cpp \
    ../../Poco/Net/src/ICMPEventArgs.cpp \
    ../../Poco/Net/src/ICMPPacket.cpp \
    ../../Poco/Net/src/ICMPPacketImpl.cpp \
    ../../Poco/Net/src/ICMPSocket.cpp \
    ../../Poco/Net/src/ICMPSocketImpl.cpp \
    ../../Poco/Net/src/ICMPv4PacketImpl.cpp \
    ../../Poco/Net/src/IPAddress.cpp \
    ../../Poco/Net/src/MailMessage.cpp \
    ../../Poco/Net/src/MailRecipient.cpp \
    ../../Poco/Net/src/MailStream.cpp \
    ../../Poco/Net/src/MediaType.cpp \
    ../../Poco/Net/src/MessageHeader.cpp \
    ../../Poco/Net/src/MulticastSocket.cpp \
    ../../Poco/Net/src/MultipartReader.cpp \
    ../../Poco/Net/src/MultipartWriter.cpp \
    ../../Poco/Net/src/NameValueCollection.cpp \
    ../../Poco/Net/src/NetException.cpp \
    ../../Poco/Net/src/NetworkInterface.cpp \
    ../../Poco/Net/src/NullPartHandler.cpp \
    ../../Poco/Net/src/PartHandler.cpp \
    ../../Poco/Net/src/PartSource.cpp \
    ../../Poco/Net/src/POP3ClientSession.cpp \
    ../../Poco/Net/src/QuotedPrintableDecoder.cpp \
    ../../Poco/Net/src/QuotedPrintableEncoder.cpp \
    ../../Poco/Net/src/RawSocket.cpp \
    ../../Poco/Net/src/RawSocketImpl.cpp \
    ../../Poco/Net/src/RemoteSyslogChannel.cpp \
    ../../Poco/Net/src/RemoteSyslogListener.cpp \
    ../../Poco/Net/src/ServerSocket.cpp \
    ../../Poco/Net/src/ServerSocketImpl.cpp \
    ../../Poco/Net/src/SMTPClientSession.cpp \
    ../../Poco/Net/src/Socket.cpp \
    ../../Poco/Net/src/SocketAddress.cpp \
    ../../Poco/Net/src/SocketImpl.cpp \
    ../../Poco/Net/src/SocketNotification.cpp \
    ../../Poco/Net/src/SocketNotifier.cpp \
    ../../Poco/Net/src/SocketReactor.cpp \
    ../../Poco/Net/src/SocketStream.cpp \
    ../../Poco/Net/src/StreamSocket.cpp \
    ../../Poco/Net/src/StreamSocketImpl.cpp \
    ../../Poco/Net/src/StringPartSource.cpp \
    ../../Poco/Net/src/TCPServer.cpp \
    ../../Poco/Net/src/TCPServerConnection.cpp \
    ../../Poco/Net/src/TCPServerConnectionFactory.cpp \
    ../../Poco/Net/src/TCPServerDispatcher.cpp \
    ../../Poco/Net/src/TCPServerParams.cpp \
    ../../Poco/Net/src/WebSocket.cpp \
    ../../Poco/Net/src/WebSocketImpl.cpp \
    ../../Poco/Net/src/TCPStream_Mb.cpp \
    ../../Poco/Net/src/RemotingNG/AttributedObject.cpp \
    ../../Poco/Net/src/RemotingNG/BinaryDeserializer.cpp \
    ../../Poco/Net/src/RemotingNG/BinarySerializer.cpp \
    ../../Poco/Net/src/RemotingNG/Context.cpp \
    ../../Poco/Net/src/RemotingNG/Deserializer.cpp \
    ../../Poco/Net/src/RemotingNG/EventDispatcher.cpp \
    ../../Poco/Net/src/RemotingNG/EventListener.cpp \
    ../../Poco/Net/src/RemotingNG/EventSubscriber.cpp \
    ../../Poco/Net/src/RemotingNG/Identifiable.cpp \
    ../../Poco/Net/src/RemotingNG/Listener.cpp \
    ../../Poco/Net/src/RemotingNG/MethodHandler.cpp \
    ../../Poco/Net/src/RemotingNG/ORB.cpp \
    ../../Poco/Net/src/RemotingNG/Proxy.cpp \
    ../../Poco/Net/src/RemotingNG/ProxyFactory.cpp \
    ../../Poco/Net/src/RemotingNG/ProxyFactoryManager.cpp \
    ../../Poco/Net/src/RemotingNG/RemoteObject.cpp \
    ../../Poco/Net/src/RemotingNG/RemotingException.cpp \
    ../../Poco/Net/src/RemotingNG/Serializer.cpp \
    ../../Poco/Net/src/RemotingNG/SerializerBase.cpp \
    ../../Poco/Net/src/RemotingNG/ServerTransport.cpp \
    ../../Poco/Net/src/RemotingNG/Skeleton.cpp \
    ../../Poco/Net/src/RemotingNG/Transport.cpp \
    ../../Poco/Net/src/RemotingNG/TransportFactory.cpp \
    ../../Poco/Net/src/RemotingNG/TransportFactoryManager.cpp \
    ../../Poco/Net/src/RemotingNG/URIUtility.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/ChannelStream.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/Connection.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/ConnectionManager.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/Frame.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/FrameQueue.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/ServerConnection.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/ServerConnectionFactory.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/SocketFactory.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/TCPListener.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/TCPServerTransport.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/TCPTransport.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/TCPTransportFactory.cpp \
    ../../Poco/Net/src/RemotingNG/TCP/src/Timer.cpp \
    ../../Poco/Net/src/IPAddressImpl.cpp \
    ../../Poco/Net/src/SocketAddressImpl.cpp \
    ../../Poco/Net/src/Net.cpp



HEADERS += \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/ChannelStream.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/Connection.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/ConnectionManager.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/Frame.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/FrameFactory.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/FrameHandler.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/FrameQueue.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/Listener.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/ServerConnection.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/ServerConnectionFactory.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/ServerTransport.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/SocketFactory.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/TCP.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/Timer.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/Transport.h \
    ../../Poco/Net/src/RemotingNG/TCP/include/Poco/RemotingNG/TCP/TransportFactory.h
