# -------------------------------------------------
# Project created by QtCreator 2009-12-21T09:08:46
# -------------------------------------------------
QT -= core \
    gui
TEMPLATE = lib
CONFIG += staticlib
CONFIG += c++11
DEFINES += GCC  POCO_NO_SOO  JSON_EXPORTS  Util_EXPORTS \
 Foundation_EXPORTS
DEFINES -= UNICODE

HOMEDIR = "../../../"
unix {
    DEFINES += LINUX \
        UNIX \
        _MT
}
win32 {
contains(QMAKE_HOST.arch, x86_64) {
        DEFINES += WIN64 _WIN32 POCO_DLL POCO_NO_FPENVIRONMENT
    }
    SOURCES += ../../MatlabMatrix_Mb.cpp \
        ../../MappedDataSet_Mb.cpp
}

CONFIG(debug, debug|release) {
    DESTDIR =../../../Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR =../../../Lib/Gcc/Release
    OBJECTS_DIR = release
}
INCLUDEPATH = $$HOMEDIR/Malibu \
    $$HOMEDIR/Malibu/Xilinx \
    $$HOMEDIR/Malibu/Ipp \
    $$HOMEDIR/Malibu/Poco/Foundation/include \
    $$HOMEDIR/Malibu/Framework/Windows

TARGET = Utility_Mb
SOURCES += ../../Benchmark_Mb.cpp \
    ../../BinFile_Mb.cpp \
    ../../BinView_Mb.cpp \
    ../../ContiguousMemoryBlocks_Mb.cpp \
    ../../Datagram_Mb.cpp \
    ../../Endian_Mb.cpp \
    ../../Exception_Mb.cpp \
    ../../FileSupport_Mb.cpp \
    ../../IniFile_Mb.cpp \
    ../../Magic_Mb.cpp \
    ../../NotifyThread_Mb.cpp \
    ../../ProcessEvents_Mb.cpp \
    ../../Random_Mb.cpp \
    ../../SRecord_Mb.cpp \
    ../../SoftwareTimer_Mb.cpp \
    ../../StartStopThread_Mb.cpp \
    ../../StopWatch_Mb.cpp \
    ../../StringList_Mb.cpp \
    ../../StringSupport_Mb.cpp \
    ../../StringVector_Mb.cpp \
    ../../Trace_Mb.cpp \
    ../../Codec_Mb.cpp \
    ../../DataLogger_Mb.cpp \
    ../../DataPlayer_Mb.cpp \
    ../../DataSetBase_Mb.cpp \
    ../../FileDataSet_Mb.cpp \
    ../../PacketFileDataSet_Mb.cpp \
    ../../RamDataSet_Mb.cpp \
    ../../RamLogger_Mb.cpp \
    ../../Sample_Mb.cpp \
    ../../AccessDatagrams_Mb.cpp \
    ../../AlignedBlock_Mb.cpp \
    ../../AlignedMemoryPool_Mb.cpp \
    ../../BufferDatagrams_Mb.cpp \
    ../../BufferHeader_Mb.cpp \
    ../../Buffer_Mb.cpp \
    ../../BitFile_Mb.cpp \
    ../../FcfFile_Mb.cpp \
    ../../DriveIo_Mb.cpp \
    ../../SingletonManager_Mb.cpp \
    ../../MemoryUtils_Mb.cpp \
    ../../BufferTrailer_Mb.cpp \
    ../../XmlParser_Mb.cpp \
    ../../VitaPacketFileDataSet_Mb.cpp \
    ../../IdromDatagram_Mb.cpp \
    ../../FloatingPtSupport_Mb.cpp \
    ../../StateMachine_Mb.cpp \
    ../../MalibuVersion_Mb.cpp \
    ../../TraceLogger_Mb.cpp \
    ../../Units_Mb.cpp

HEADERS += \
    ../../Units_Mb.h
