// Script_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef Script_MbH
#define Script_MbH

#include <stack>
#include <StringVector_Mb.h>
#include <ProcessEvents_Mb.h>

namespace   Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS Scripter  --  Script command dispatcher
//===========================================================================

class Scripter
{
public:
    // Ctor
    Scripter();

    // Methods
    void Execute(std::string file);
    int  Pop();

    // Events
    OpenWire::SynchronizedEventHandler<Innovative::ProcessStatusEvent> OnCommand;
    OpenWire::SynchronizedEventHandler<Innovative::ProcessStatusEvent> OnMessage;

private:
    // Data
    Innovative::StringVector        File;
    std::stack<long>                Stack;

    // Methods
    void ParseLine(std::string line);
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // namespace Innovative


#endif
