// UiSynchronizerIntf_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef ThunkerIntf_MbH
#define ThunkerIntf_MbH

#include <BaseEvents_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//=============================================================================
//  CLASS ThunkerIntf  --  Abstract interface to UI-specific thunk object
//=============================================================================

class ThunkerIntf
{
public:
    // Ctor
    virtual ~ThunkerIntf()  {  }

    // Methods
    virtual bool    Notify() = 0;
    virtual void    Dispatch() = 0;
    virtual bool    CanThunk()  {  return true;  }

    //
    //  Events
    OpenWire::StdEventHandler<OpenWire::Event> OnNotified;
};

extern ThunkerIntf * NewThunker();
extern void DeleteThunker(ThunkerIntf * thunker);

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // Innovative

#endif
