//  UwbCsMemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef UwbCsMemoryMap_MbH
#define UwbCsMemoryMap_MbH

namespace Innovative
{

namespace UwbCs_MemoryMap
{
    //
    //  Port Memory Registers
    //
    //  Logic Memory Registers
    const unsigned int  mmEepromSerialData    = 0x15;
    const unsigned int  mmEepromSerialClock   = 0x16;

    const unsigned int  mmTuningFreq0         = 0x20;  // array of 20

    const unsigned int  mmGainAdjust0         = 0x60;  // arrray of 20

    const unsigned int  mmApplicationStatus   = 0x75;
    const unsigned int  mmAdcSelect           = 0x76;

    const unsigned int  mmQuadiaLogicRev      = 0x100;
    const unsigned int  mmTestControl         = 0x101;
    const unsigned int  mmSpectralInvert      = 0x102;
    const unsigned int  mmFpgaStatus          = 0x103;

} // end namespace UwbCs_MemoryMap

} // end namespace Innovative


#endif
