// VpxBoard_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2012 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef VpxBoard_MbH
#define VpxBoard_MbH

#include <FmcCarrierBoard_Mb.h>
#include <VpxDeviceMap_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS VpxBoard  -- Vpx Common baseboard class
//===========================================================================

class VpxBoard : public FmcCarrierAdvBoard
{

public:
    //
    //  Member Functions
    VpxBoard(VpxDeviceMap & deviceMap);
    virtual ~VpxBoard();

//    virtual void                Open();
//    virtual void                Close();

    //  SubDevices
    IVpxClkGenIo &            ClockGen();
    IVpxRawClkGenDevices &    RawClockGenDevice();

public: //Pseudo protected

protected:
    //
    //  Member Data
    VpxDeviceMap &                  VpxDeviceRef;

};


#ifdef __CLR_VER
#pragma managed(pop)
#endif
}; // namespace Innovative

#endif

