//  X5_400MMemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef X5_400MMemoryMap_MbH
#define X5_400MMemoryMap_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

namespace X5_400MMemoryMap
{
    // Clock
    const unsigned int  mmClockSource         = 0x08;
	const unsigned int  mmVcoI2C			  = 0x09;

	// Packets
	const unsigned int  mmInPacketHeader   	  = 0x1b;
	const unsigned int  mmOutPacketHeader     = 0x1c;

	// Analog
	// Misc control
	const unsigned int  mmOutControl		  = 0x11;
	const unsigned int  mmInControl			  = 0x12;
	// Channel enables
	const unsigned int  mmInChannelEnable     = 0x0b;
	const unsigned int  mmOutChannelEnable    = 0x0c;
	// Extra Dio
	const unsigned int  mmDioExtraData        = 0x15;
	// Trigger
	const unsigned int  mmTriggerDelay	      = 0x16;
	const unsigned int  mmInTriggerControl 	  = 0x17;
	const unsigned int  mmOutTriggerControl	  = 0x18;
	// Decimation
	const unsigned int  mmInDecimation 	  	  = 0x19;
	const unsigned int  mmOutDecimation 	  = 0x1a;
	// Coefficients
	const unsigned int  mmInGainCoef      	  = 0x20;
	const unsigned int  mmInOffsetCoef     	  = 0x22;
	const unsigned int  mmOutGainCoef    	  = 0x30;
	const unsigned int  mmOutOffsetCoef    	  = 0x32;
	// Output-specific
	const unsigned int  mmOutSpiCtl			  = 0x06;
	const unsigned int  mmGeneratorPhase      = 0x39;   // Array of two
	const unsigned int  mmGeneratorControl    = 0x3b;

} // end namespace X5_MemoryMap

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // end namespace Innovative


#endif
