//  X5_COMMemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef X5_COMMemoryMap_MbH
#define X5_COMMemoryMap_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

namespace X5_COMMemoryMap
{
    // Clock
 //   const unsigned int  mmClockSource         = 0x08;

    // Packets
	const unsigned int  mmInPacketHeader   	  = 0x1b;
	const unsigned int  mmOutPacketHeader     = 0x1c;


    //  SFP Registers
    const unsigned int mmSfpSioChannelEnable = 0x800;

    const unsigned int mmSfp01GeneralControl = 0x801;
    const unsigned int mmSfp01CommandChWrite = 0x802;
    const unsigned int mmSfp01CommandChRead  = 0x803;
    const unsigned int mmSfp01Tranceivers    = 0x804;

    const unsigned int mmSfp23GeneralControl = 0x805;
    const unsigned int mmSfp23CommandChWrite = 0x806;
    const unsigned int mmSfp23CommandChRead  = 0x807;
    const unsigned int mmSfp23Tranceivers    = 0x808;

    const unsigned int mmSio01GeneralControl = 0x809;
    const unsigned int mmSio01CommandChWrite = 0x80a;
    const unsigned int mmSio01CommandChRead  = 0x80b;

    const unsigned int mmSio23GeneralControl = 0x80c;
    const unsigned int mmSio23CommandChWrite = 0x80d;
    const unsigned int mmSio23CommandChRead  = 0x80e;

} // end namespace X5_MemoryMap

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // end namespace Innovative


#endif
