//  X5_G12MemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef X5_G12MemoryMap_MbH
#define X5_G12MemoryMap_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

namespace X5_G12MemoryMap
{
    // FFT
    const unsigned int  mmFFTControl            = 0x15;
    const unsigned int  mmFFTWindow             = 0x16;
    const unsigned int  mmLowSpeedPacketHeader  = 0x19;
    const unsigned int  mmFFTPacketHeader       = 0x1a;

    // Packets
	const unsigned int  mmInPacketHeader   	    = 0x1b;
	const unsigned int  mmLoopTestPacketHeader  = 0x1c;

    // Analog

    // PLL
	const unsigned int  mmPllControl  		  = 0x800;
	const unsigned int  mmPllSpiIntf      	  = 0x801;
	const unsigned int  mmAdcControl		  = 0x802;

	const unsigned int  mmAdcTestGenerator	  = 0x803;
	const unsigned int  mmInTriggerControl 	  = 0x805;
	const unsigned int  mmAdc0Spi        	  = 0x806;
//    const unsigned int  mmAdcDclkSkew         = 0x807;
	const unsigned int  mmAdc1Spi        	  = 0x808;
	const unsigned int  mmAdcSoftwareTrigger  = 0x809;
//	const unsigned int  mmExtTriggerIDelay    = 0x80A;
	const unsigned int  mmTestGeneratorRate   = 0x80D;
	const unsigned int  mmLsRateConfig        = 0x80E;

    const unsigned int  mmVcxoI2C             = 0x80F;
    //Gain and offset set to 0 to remove feature
	const unsigned int  mmInGainCoef		  = 0;
	const unsigned int  mmInOffsetCoef		  = 0;

    const unsigned int  mmAdc0ClockPhase      = 0x818;
    const unsigned int  mmAdc1ClockPhase      = 0x819;

    // Dummy
	const unsigned int  mmInChannelEnable     = 0;
	const unsigned int  mmInDecimation        = 0;

} // end namespace X5_G12MemoryMap

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // end namespace Innovative


#endif
