//  X5_GSPSMemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef X5_GSPSMemoryMap_MbH
#define X5_GSPSMemoryMap_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

namespace X5_GSPSMemoryMap
{
    // Packets
	const unsigned int  mmInPacketHeader   	  = 0x1b;

    // Analog
    // Misc control
//	const unsigned int  mmInControl			  = 0x12;
    // Channel enable
//   	const unsigned int  mmInChannelEnable     = 0x0b;
    // Trigger
	const unsigned int  mmInTriggerControl 	  = 0x805;
    // Decimation
//	const unsigned int  mmInDecimation 	  	  = 0x19;

    // PLL
	const unsigned int  mmPllCtl	  		  = 0x800;
	const unsigned int  mmPllSpi      		  = 0x801;
	const unsigned int  mmAdcClockPhase		  = 0x802;

	const unsigned int  mmInControl           = 0x803;
	const unsigned int  mmInSpi               = 0x804;

	// Pulse Repetition Mode
	const unsigned int  mmPulsePeriod         = 0x808;
	const unsigned int  mmPulseReset          = 0x809;
	const unsigned int  mmPulseControl        = 0x80a;
	const unsigned int  mmPulseWidth   		  = 0x80b;

	// Dummy
	const unsigned int  mmInGainCoef		  = 0;
	const unsigned int  mmInOffsetCoef		  = 0;
	const unsigned int  mmInChannelEnable     = 0;
	const unsigned int  mmInDecimation        = 0;

} // end namespace X5_GSPSMemoryMap

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // end namespace Innovative


#endif
