//  X6_RXMemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef X6_RXMemoryMap_MbH
#define X6_RXMemoryMap_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

namespace X6_RXMemoryMap
{
    // Clock
    const unsigned int  mmClockSource         = 0x08;

    // Packets
	const unsigned int  mmInPacketHeader   	  = 0x1b;

    // Analog
    // Misc control
	const unsigned int  mmInControl			  = 0x12;
    // Channel enable
   	const unsigned int  mmInChannelEnable     = 0x0b;
    // Trigger
	const unsigned int  mmInTriggerControl 	  = 0x17;
    // A/D command channel
	const unsigned int  mmAdcControl 	  	  = 0x18;
    // Decimation
	const unsigned int  mmInDecimation 	  	  = 0x19;
    // Coefficients
	const unsigned int  mmInGainCoef      	  = 0x20;
	const unsigned int  mmInOffsetCoef     	  = 0x24;

} // end namespace X6_RXMemoryMap

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // end namespace Innovative


#endif
