//---------------------------------------------------------------------------
// XUDeviceDriver_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2013 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef XUDeviceDriver_MbH
#define XUDeviceDriver_MbH
//---------------------------------------------------------------------------

#include <DeviceDriver_Mb.h>

//---------------------------------------------------------------------------
namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS XUDeviceDriver  -- Driver level code for XU Family baseboard
//===========================================================================

class XUDeviceDriver :  public InnovativeKernel::MultiChannelBMDeviceDriver
{
public:
    //
    //  Member Functions
    XUDeviceDriver(InnovativeKernel::IMultiChanOwnerDM & odm);

    static InnovativeKernel::IsrLog * LOG;
};


#ifdef __CLR_VER
#pragma managed(pop)
#endif
}; // Innovative
//---------------------------------------------------------------------------
#endif
