//  GpDsp_Config_Impl.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2013 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef GpDsp_Config_ImplH
#define GpDsp_Config_ImplH
#include <vector>
#include <string>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//
//   Application Feature Presence  -- used to hide GUI Portions

inline bool   HasClockMux()
        {  return true; }
inline bool   HasProgrammableReference()
        {  return true; }
inline bool   HasTestModeControl()
        {  return true; }
inline bool   HasFiclSupport()
        {  return true; }
inline bool   HasLowSpeedAnalogIn()
        {  return true; }
inline bool   HasExtClockSrcSelectMux()
        {  return false; }
inline bool   HasExtTriggerSrcSelectMux()
        {  return false; }
inline bool   HasPulseTrigger()
        {  return true; }

#ifdef __CLR_VER
#pragma managed(pop)
#endif

}  // end namespace Innovative


#endif // GpDsp_Config_ImplH
