#include <QApplication>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
    std::string iipath = QString(qgetenv("INNOVATIVECOMMON")).toStdString();

#ifdef LINUX
        iipath = "/usr/Innovative/Lib/Dll/";
#endif
#ifdef WIN64
        iipath += "\\Lib\\Dll_x64";
#else
        iipath += "\\Lib\\Dll";
#endif

    std::string iiplugarg = "-platformpluginpath";

    char *margv[] = {argv[0],
                     const_cast<char *>(iiplugarg.c_str()),
                     const_cast<char *>(iipath.c_str())
                    };
    argc += 2;

    QApplication a(argc, margv);

    MainWindow w;
    w.show();
    return a.exec();
}
