#include <GpProject_DDC_Gp.h>

namespace   Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//using namespace GpDsp_MemoryMap;

//===========================================================================
//  CLASS GpProject_DDC  -- Project wide Information Block
//===========================================================================
//---------------------------------------------------------------------------
//  housekeeping for class GpProject_DDC
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
//  constructor for class GpProject_DDC
//---------------------------------------------------------------------------

GpProject_DDC::GpProject_DDC(GpDspMemoryExtension & gp)
    :  ProjectInfo(gp.WB_Custom),
       CommonM(gp),  PowerMeterSM(gp, CommonM),
       OverflowSM(gp, CommonM), ToneGeneratorSM(gp, CommonM),
       DdcM(gp), DdcPeriphSM(gp, DdcM),
       DdcTunerSM(gp, DdcM), DdcLowPassFilterSM(gp, DdcM),
       DdcPolyPhaseFilterSM(gp, DdcM),
       DdcVitaFramerSM(gp, DdcM), DdcChannelizerSM(gp, DdcM),
       SpectralM(gp), SpectralPeriphM(gp, SpectralM),
       SpectralMultiBufferM(gp, SpectralM), SpectralWindowingM(gp, SpectralM),
       SpectralFftM(gp, SpectralM), SpectralPostProcM(gp, SpectralM),
       SpectralVitaFramerM(gp, SpectralM),
	   DucM(gp), DucPeriphSM(gp, DucM),
       DucTunerSM(gp, DucM), DucVitaFramerSM(gp, DucM), DucLowPassFilterSM(gp, DucM),
	   DucPolyPhaseFilterSM(gp, DucM)
{
}

//---------------------------------------------------------------------------
//  GpProject_DDC::Reset
//---------------------------------------------------------------------------

void GpProject_DDC::Reset(bool value)
{
    if (value)
        {
       // CommonM
        }
    else
        {

        }
}

//---------------------------------------------------------------------------
//  GpProject_DDC::Command
//---------------------------------------------------------------------------

void GpProject_DDC::Command(bool /*value*/)
{

}


#ifdef __CLR_VER
#pragma managed(pop)
#endif

}  // namespace Innovative



