// Analysis_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef Analysis_MbH
#define Analysis_MbH

#include <Utility_Mb.h>

#ifdef _MSC_VER

	#ifndef __CLR_VER
		#ifndef _NO_MFC_INCLUDES
		#include <afx.h>
		#endif
		#ifdef _AFXDLL  
		#pragma warning(push)	
		#pragma warning(disable : 4005)		
		#define _DLL  
		#pragma warning(pop)	
		#endif
	#endif
		
	#pragma comment(lib, "ippcc.lib")
	#pragma comment(lib, "ippch.lib")
	#pragma comment(lib, "ippcore.lib")
	#pragma comment(lib, "ippcv.lib")
	#pragma comment(lib, "ippdc.lib")
	#pragma comment(lib, "ippi.lib")
	#pragma comment(lib, "ipps.lib")
	#pragma comment(lib, "ippvm.lib")
	
		
    #ifdef _DLL  
        // Dynamic linked
        #ifdef _DEBUG
            #pragma comment(lib, "Analysis_Mb_DLL_Debug.lib")
        #else
            #pragma comment(lib, "Analysis_Mb_DLL.lib")
        #endif // _DEBUG

    #else  
	    // Static linked
        #ifdef _DEBUG
            #pragma comment(lib, "Analysis_Mb_Debug.lib")
        #else  
            #pragma comment(lib, "Analysis_Mb.lib")
        #endif // _DEBUG

	#endif
#endif


#ifdef __BORLANDC__
	#ifdef _WIN64       // 64 bit compiler
		#pragma link "Analysis_Mb.a"

		#pragma link "ippcc-9.0.a"
		#pragma link "ippch-9.0.a"
		#pragma link "ippcore-9.0.a"
		#pragma link "ippcv-9.0.a"
		#pragma link "ippdc-9.0.a"
		#pragma link "ippi-9.0.a"
		#pragma link "ipps-9.0.a"
		#pragma link "ippvm-9.0.a"
	#else
		#pragma link "Analysis_Mb.lib"

		#pragma link "ippcc-9.0.lib"
		#pragma link "ippch-9.0.lib"
		#pragma link "ippcore-9.0.lib"
		#pragma link "ippcv-9.0.lib"
		#pragma link "ippdc-9.0.lib"
		#pragma link "ippi-9.0.lib"
		#pragma link "ipps-9.0.lib"
		#pragma link "ippvm-9.0.lib"
	#endif

#endif

#endif
