// TxtFile_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2017 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef TxtFile_MbH
#define TxtFile_MbH

#include "FileSupport_Mb.h"
#include <string>
#include <fstream>


using namespace std;
namespace Innovative
{

//==============================================================================
//  CLASS TxtFile --
//==============================================================================

class TxtFile
{
public:
    //construction
    TxtFile();
    TxtFile(string name);
    ~TxtFile();

    string GetFileName()
        { return FileName; }

    void   Clear();
    void   Append(string data, bool WithDate = false);
    string CurrentDateTime();

private:
    string   FileName;
    ofstream File;
};



}  //end namespace

#endif
