// C64xDspDeviceMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef C64xDspDeviceMap_MbH
#define C64xDspDeviceMap_MbH

#include <TiBmDeviceMap_Mb.h>
#include <HardwareRegister_Mb.h>
#include <C64xDspDeviceDriver_Mb.h>
#include <string>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS C64xDspDeviceMap  --
//===========================================================================

class C64xDspDeviceMap : public TiBusmasterDeviceMap
{

public:
    //
    //  Member Functions
    C64xDspDeviceMap(C64xDspDeviceDriver::DeviceMode mode);
    virtual ~C64xDspDeviceMap();

    void Open();
    void Close();

    InnovativeKernel::DeviceEntry &   DeviceInfo();

protected:
    //
    //  Member Data
    C64xDspDeviceDriver *      DDeviceDriver;
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // Innovative

#endif
