// ChicoDeviceDriver_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2006 Innovative Integration Corporation.
//  All Rights Reserved.
//

#include <ChicoDeviceDriver_Mb.h>

//
//  Nameless namespace for 'static' data
namespace
{
//------------------------------------------------
//  Parameters for Driver Open
//  ...Device Driver Name
#define     TARGET_BASE             "CHICODRV"
#define     TARGET_VENDOR_ID         0x1303
#define     TARGET_DEVICE_ID         0x0004
//  ...Use default Target Number Offset of 0.

}  // nameless namespace

namespace Innovative
{
//===========================================================================
//  CLASS ChicoDeviceDriver  -- Driver level code for Chico baseboard
//===========================================================================


//---------------------------------------------------------------------------
//  constructor for class ChicoDeviceDriver
//---------------------------------------------------------------------------

ChicoDeviceDriver::ChicoDeviceDriver()
	:  InnovativeKernel::DeviceDriver(InnovativeKernel::PciId(TARGET_VENDOR_ID, TARGET_DEVICE_ID))
{
}

} // namespace Innovative
