// Chico_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure 
//  agreement with Innovative Integration Corporation and may not be copied or 
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2006 Innovative Integration Corporation. 
//  All Rights Reserved.
//

#ifndef Chico_MbH
#define Chico_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

class ChicoDeviceMap;

//===========================================================================
//  CLASS Chico  --  Chico baseboard class
//===========================================================================

class Chico
{
public:
	Chico();
	virtual ~Chico();

	// Methods.
	void 			Open();
	void 			Close();
	void 			Reset();
	void 			Boot();
	void 			DioData(int value);
	int  			DioData();
	void 			DioConfig(int mask);
	int  			DioConfig();
	void            Target(unsigned int);
	unsigned int	Target() const;
	void            Led(bool state);
	bool       		Led() const;

protected:
	ChicoDeviceMap *mDevice;
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // namespace Innovative

#endif
