// DebugSupport_Mb.cpp   -- Helper classes/ftns for debugging
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2006 Innovative Integration Corporation.
//  All Rights Reserved.
//
//---------------------------------------------------------------------------

#include <DebugSupport_Mb.h>
#include <StringSupport_Mb.h>
#include <Osal_Mb.h>
#include <sstream>

namespace Innovative
{

//---------------------------------------------------------------------------
//  AppendThreadId() -- Append Thread ID to an existing string
//---------------------------------------------------------------------------

std::string  AppendThreadId(const std::string & orig_string)
{
    std::stringstream msg;
     msg << "Thread [0x" << std::hex << InnovativeKernel::CurrentThreadId()
         << "] " << orig_string;

    return msg.str();
}

}  // end namespace Innovative

