//
// Endian_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2003 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef Endian_MbH
#define Endian_MbH

namespace Innovative
{

//=============================================================================
//  CLASS Endian  --  Endian control
//=============================================================================

short 			Endian(short v);
int 			Endian(int v);
float 			Endian(float v);

void 			Endian(short * buffer, int size);
void 			Endian(int * buffer, int size);
void 			Endian(float * buffer, int size);

bool            IsBigEndian();
bool            IsLittleEndian();

} // namespace Innovative

#endif
