// Ethernet_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef Ethernet_MbH
#define Ethernet_MbH

#include <Utility_Mb.h>

#ifdef _MSC_VER

	#ifndef __CLR_VER
		#ifndef _NO_MFC_INCLUDES
		#include <afx.h>
		#endif
		#ifdef _AFXDLL  
		#pragma warning(push)	
		#pragma warning(disable : 4005)		
		#define _DLL  
		#pragma warning(pop)	
		#endif
	#endif

    #ifdef _DEBUG
        #pragma comment(lib, "ACEd.lib")
        #pragma comment(lib, "ACE_QoSd.lib")
    #else
        #pragma comment(lib, "ACE.lib")
        #pragma comment(lib, "ACE_QoS.lib")
    #endif

    #ifdef _DLL  
        // Dynamic linked
        #ifdef _DEBUG
            #pragma comment(lib, "Ethernet_Mb_DLL_Debug.lib")
        #else
            #pragma comment(lib, "Ethernet_Mb_DLL.lib")
        #endif // _DEBUG

    #else  
    // Static linked

        #ifdef _DEBUG
            #pragma comment(lib, "Ethernet_Mb_Debug.lib")
        #else  
            #pragma comment(lib, "Ethernet_Mb.lib")
        #endif // _DEBUG

    #endif
#endif

#ifdef __BORLANDC__
	#pragma link "Ethernet_Mb.lib"

        #ifdef _DEBUG
			#pragma link "ace_bsd.lib"
			#pragma link "ACE_QoS_bsd.lib"
		#else
			// For some reason, use of the release libs fails to link
			#pragma link "ace_bs.lib"
			#pragma link "ACE_QoS_bs.lib"
		#endif // _DEBUG

	#pragma link "ws2_32.lib"

#endif

#endif
