// Fir_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#include <Fir_Mb.h>
#include <ipps.h>   // ipps.h is not redistributable!
#include <IppFloatDG_Mb.h>

namespace   Innovative
{

//---------------------------------------------------------------------------
// Fir::Fir() --
//---------------------------------------------------------------------------
 
Fir::Fir()
{
}

//---------------------------------------------------------------------------
//  Fir::operator = --
//---------------------------------------------------------------------------

void Fir::Coefficient(size_t idx, float value)
{
    FCoefficient[idx] = value;
}

//---------------------------------------------------------------------------
//  Fir::operator = --
//---------------------------------------------------------------------------

float Fir::Coefficient(size_t idx) const
{
    return FCoefficient[idx];
}

} // Innovative
