// FpgaLogicVersionInfoIntf_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef FpgaLogicVersionInfoIntf_Mb_H
#define FpgaLogicVersionInfoIntf_Mb_H

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS FpgaLogicVersionInfoIntf -- User Interface to user logic ID
//===========================================================================

class FpgaLogicVersionInfoIntf
{
public:
    //
    //  Interface Functions
    virtual short           FpgaLogicVersion() const = 0;
    virtual short           FpgaLogicVariant() const = 0;
    virtual short           FpgaLogicRevision() const = 0;
    virtual short           FpgaLogicType() const = 0;
    virtual unsigned int    FpgaLogicRawValue() const = 0;

    virtual ~FpgaLogicVersionInfoIntf()
		{}

};


#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // end namespace Innovative


#endif
