// CommandLine_Win.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef CommandLine_WinH
#define CommandLine_WinH

#include <CommandLineIntf_Mb.h>
#include <FileSupport_Mb.h>

namespace Innovative
{

//==============================================================================
//  CLASS CommandLineArguments  --
//==============================================================================

class Win32CommandLineArguments
{
public:
	Win32CommandLineArguments();
    ~Win32CommandLineArguments();

    CommandLineArguments & Args()
        {  return m_args;  }

private:
    // Methods
    void ParseCmdLine();

    // Data
    char *                  m_cmdline;
    CommandLineArguments    m_args;
};

} // Innovative

#endif
