// Shutdown_Mb.cpp
//
//  Class to extract version information from DLLs and EXEs
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2003 Innovative Integration Corporation.
//  All Rights Reserved.
//
//   OS shutdown
//
//---------------------------------------------------------------------------

#ifndef Shutdown_MbH
#define Shutdown_MbH

namespace Innovative
{

class Shutdown
{
public:
    enum IIMode { mLogOff, mPowerOff, mReboot, mShutdown };
    // Ctors
    Shutdown();

    // Methods
    bool        Execute();

    IIMode Mode() const
        {  return FMode;  }
    void Mode(IIMode mode)
        {  FMode = mode;  }

    bool ForceTerminate() const
        {  return FForceTerminate;  }
    void ForceTerminate(bool state=true)
        {  FForceTerminate = state;  }

private:
    // Data
    IIMode          FMode;
    bool            FForceTerminate;

    // Methods
    bool            ShutdownNT();
    bool            Shutdown9x();
};

}  // namespace Innovative

#endif
