// Thunker_Win.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef Thunker_WinH
#define Thunker_WinH

#include <ThunkerIntf_Mb.h>
#include <Framework/Windows/Event_Win.h>
#include <windows.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//=============================================================================
//  CLASS Thunker  --  "Thunk" call into UI thread, unlocked with caller
//=============================================================================

class Thunker : public ThunkerIntf
{
public:
    // Ctor
    Thunker();
    virtual ~Thunker();

    // Methods
    bool            Notify();

protected:
    virtual void    Dispatch();

private:
    //
    //  Member Data
    static HWND     mHandle;
    static int      mRefCount;

    //
    //  Member Functions
    static LRESULT CALLBACK WndProc(HWND hwnd,      // handle to window
                                    UINT uMsg,      // message identifier
                                    WPARAM wParam,  // first message parameter
                                    LPARAM lParam); // second message parameter
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // Innovative

#endif
