// Framework_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef Framework_MbH
#define Framework_MbH

#ifdef _MSC_VER

	#ifndef __CLR_VER
		#ifndef _NO_MFC_INCLUDES
		#include <afx.h>
		#endif
		#ifdef _AFXDLL
		#pragma warning(push)
		#pragma warning(disable : 4005)
		#define _DLL
		#pragma warning(pop)
		#endif
	#endif

	#pragma comment(lib, "user32.lib")
	#pragma comment(lib, "winmm.lib")

    #ifdef _DLL
        // Dynamic linked
        #ifdef _DEBUG
            #pragma comment(lib, "Framework_Mb_DLL_Debug.lib")
            
            #ifdef _CONSOLE
            #pragma comment(lib, "Framework_Con_DLL_Debug.lib")
            #else
            #pragma comment(lib, "Framework_Win_DLL_Debug.lib")
            #endif
        #else
            #pragma comment(lib, "Framework_Mb_DLL.lib")

            #ifdef _CONSOLE
            #pragma comment(lib, "Framework_Con_DLL.lib")
            #else
            #pragma comment(lib, "Framework_Win_DLL.lib")
            #endif
        #endif // _DEBUG

    #else
        // Static linked
        #ifdef _DEBUG
            #pragma comment(lib, "Framework_Mb_Debug.lib")

            #ifdef _CONSOLE
            #pragma comment(lib, "Framework_Con_Debug.lib")
            #else
            #pragma comment(lib, "Framework_Win_Debug.lib")
            #endif
        #else
            #pragma comment(lib, "Framework_Mb.lib")
            
            #ifdef _CONSOLE
            #pragma comment(lib, "Framework_Con.lib")
            #else
            #pragma comment(lib, "Framework_Win.lib")
            #endif
        #endif // _DEBUG

    #endif
#endif

#ifdef __BORLANDC__
	#ifdef _WIN64       // 64 bit compiler
        #pragma link "Framework_Mb.a"
    #else
        #pragma link "Framework_Mb.lib"
    #endif

    #ifdef _CONSOLE
		#ifdef _WIN64       // 64 bit compiler
            #pragma link "Framework_Con.a"
        #else
            #pragma link "Framework_Con.lib"
        #endif
    #else
        #ifdef _WIN64       // 64 bit compiler
            #pragma link "Framework_Win.a"
        #else
            #pragma link "Framework_Win.lib"
        #endif
    #endif
#endif

#endif
