// Gps_CW25_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2009 Innovative Integration Corporation.
//  All Rights Reserved.
//
//---------------------------------------------------------------------------

#ifndef Gps_CW25_MbH
#define Gps_CW25_MbH

#include <Gps_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS Gps_Cw25  -- Support for CW25 GPS Hardware
//===========================================================================

class Gps_Cw25 : public IGps
{
public:
	Gps_Cw25();	
protected:
    //
    //  Gps Impl functions
    virtual void   GpsBaud(BaudRates baud);
    virtual void   OnProcessMessages(GpsMessageList & Messages);

    virtual bool    IsLocked() const
		{  return FFix != IGps::fixNoFix;  }
};


class Gps_Cw25Plugin : public GpsPluginSocket<Gps_Cw25>
{
public:
    Gps_Cw25Plugin( IGps_Plugin * plug )
        :  GpsPluginSocket<Gps_Cw25>(plug)
        {}

};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
}  // end namespace Innovative

//---------------------------------------------------------------------------
#endif
