// Gps_Ieee1588_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2009 Innovative Integration Corporation.
//  All Rights Reserved.
//
//---------------------------------------------------------------------------

#ifndef Gps_Ieee1588_MbH
#define Gps_Ieee1588_MbH

#include <Gps_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS Gps_Ieee1588  -- Support for Jackson Labs CSAC GPS unit
//===========================================================================

class Gps_Ieee1588 : public IGps
{
public:
    Gps_Ieee1588();
protected:
    //
    //  Gps Impl functions
    virtual void   GpsBaud(BaudRates baud);
    virtual void   OnProcessMessages(GpsMessageList & Messages);

    virtual bool    IsLocked() const
        {  return true;  }
};


class Gps_Ieee1588Plugin : public GpsPluginSocket<Gps_Ieee1588>
{
public:
    Gps_Ieee1588Plugin( IGps_Plugin * plug )
        :  GpsPluginSocket<Gps_Ieee1588>(plug)
        {}

};



#ifdef __CLR_VER
#pragma managed(pop)
#endif
}  // end namespace Innovative

//---------------------------------------------------------------------------
#endif
