// HighPass_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure 
//  agreement with Innovative Integration Corporation and may not be copied or 
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation. 
//  All Rights Reserved.
//

#ifndef HighPass_MbH
#define HighPass_MbH

#include <CommonFilter_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//=============================================================================
//  CLASS HighPass  --  
//=============================================================================

class HighPass : public CommonFilter
{
    typedef CommonFilter inherited;

public:
    // Ctor
    HighPass();
    HighPass(const HighPass & other);

    // Assignment
    HighPass & operator = (const HighPass & other);

    // Properties
    float               Frequency() const;
    void                Frequency(float value);

protected:
    // Data
    float  FFrequency;
    // Methods
    virtual void        CalculateCoefficients();
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // Innovative

#endif
