// InverseFourier_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef InverseFourier_MbH
#define InverseFourier_MbH

#include <CommonFourier_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//=============================================================================
//  CLASS InverseFourier  --
//=============================================================================

class InverseFourier : public CommonFourier
{
public:
	typedef CommonFourier inherited;

	// Ctors
	InverseFourier();

	// Methods
	virtual bool    Transform(const IppComplexDG & in, IppComplexDG & out);
	virtual bool    Transform();

protected:
	// Methods
	bool transform(const IppComplexDG & in, IppComplexDG & out);
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // Innovative

#endif
