// IppMemoryUtils.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2007 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef IppMemoryUtils_MbH
#define IppMemoryUtils_MbH

#include <DataTypes_Mb.h>

namespace Innovative
{

namespace Init
{
    class IppInitializer
    {
    public:
        IppInitializer();
        IppInitializer(int);
    };

    // Pull in IPP libraries.
    void UsePerformanceMemoryFunctions();
} // namespace

// Fast copy methods
void IppCopyInt32Buffer( const int *src_buffer, int *dst_buffer, size_t size );
void IppCopyInt64Buffer( const ii64 *src_buffer, ii64 *dst_buffer, size_t size );
void IppCopyByteBuffer( const unsigned char *src_buffer, unsigned char *dst_buffer, size_t size );

} // namespace
#endif
