//---------------------------------------------------------------------------
// K7DeviceDriver_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2013 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef K7DeviceDriver_MbH
#define K7DeviceDriver_MbH
//---------------------------------------------------------------------------

#include <DeviceDriver_Mb.h>

//---------------------------------------------------------------------------
namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS K7DeviceDriver  -- Driver level code for K7 Family baseboard
//===========================================================================

class K7DeviceDriver :  public InnovativeKernel::DualRegionDeviceDriver
{
public:
    //
    //  Member Functions
    K7DeviceDriver();

    static InnovativeKernel::IsrLog * LOG;
};

//===========================================================================
//  CLASS K7SysDeviceDriver  -- Driver level code for K7 Family system object
//===========================================================================

class K7SysDeviceDriver :  public InnovativeKernel::DualRegionIsrDeviceDriver
{
public:
    //
    //  Member Functions
    K7SysDeviceDriver();

    static InnovativeKernel::IsrLog * LOG;
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
}; // Innovative
//---------------------------------------------------------------------------
#endif
