//---------------------------------------------------------------------------
// LegacyBoard_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2010 Innovative Integration Corporation.
//  All Rights Reserved.
//

#include <LegacyBoard_Mb.h>

namespace Innovative
{

#ifdef _MSC_VER
    #pragma warning(push)
    #pragma warning(disable : 4355)
#endif

//===========================================================================
//  CLASS LegacyBoard  -- Legacy Common baseboard class
//===========================================================================
//---------------------------------------------------------------------------
//  constructor for class LegacyBoard
//---------------------------------------------------------------------------

LegacyBoard::LegacyBoard(PacketDeviceMap & deviceMap)
    :  IIsAPacketStreamBoard(deviceMap), LegacyDeviceRef(deviceMap)
{
}

//---------------------------------------------------------------------------
//  destructor for class LegacyBoard
//---------------------------------------------------------------------------

LegacyBoard::~LegacyBoard()
{
}

//---------------------------------------------------------------------------
//  LegacyBoard::LicenseCheck() -- Quick check of license
//---------------------------------------------------------------------------
//
//bool  LegacyBoard::LicenseCheck(unsigned int & code)
//{
//	return LegacyDeviceRef.LicenseCheck(code);
//}

//---------------------------------------------------------------------------
//  LegacyBoard::Internals() -- Internal Packet Stream Interface
//---------------------------------------------------------------------------

IPacketStreamDeviceInternals *  LegacyBoard::Internals()
{
	return &LegacyDeviceRef;
}


#ifdef _MSC_VER
    #pragma warning(pop)
#endif


}  // namespace Innovative
