// LegacyBoard_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2010 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef LegacyBoard_MbH
#define LegacyBoard_MbH

#include <DataTypes_Mb.h>
#include <PacketDeviceMap_Mb.h>
#include <PacketStreamSupport_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//class LegacyBoard;

//===========================================================================
//  CLASS LegacyBoard  -- Legacy Common baseboard class
//===========================================================================

class LegacyBoard : public IIsAPacketStreamBoard
{

public:
    //
    //  Member Functions
    LegacyBoard(PacketDeviceMap & deviceMap);
    virtual ~LegacyBoard();

    //  Informational Methods
	//bool    LicenseCheck(unsigned int & code);

public: // Pseudo protected
    //
    //  IPacketStreamDevice interface implementation
    virtual IPacketStreamDeviceInternals *  Internals();

    PacketDeviceMap * Debug() { return &LegacyDeviceRef; };

protected:
    //
    //  Member Data
    PacketDeviceMap &     LegacyDeviceRef;

};



#ifdef __CLR_VER
#pragma managed(pop)
#endif
}; // namespace Innovative

#endif

