// LowPass_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure 
//  agreement with Innovative Integration Corporation and may not be copied or 
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation. 
//  All Rights Reserved.
//

#ifndef LowPass_MbH
#define LowPass_MbH

#include <CommonFilter_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//=============================================================================
//  CLASS LowPass  --  
//=============================================================================

class LowPass : public CommonFilter
{
    typedef CommonFilter inherited;

public:
    // Ctor
    LowPass();
    LowPass(const LowPass & other);
  
    // Assignment
    LowPass & operator = (const LowPass & other);

    // Properties
    void            Frequency(float value);
    float           Frequency() const;

protected:
    // Methods
    virtual void    CalculateCoefficients();

    // Fields
    float           FFrequency;
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // Innovative

#endif
