//---------------------------------------------------------------------------
// MalibuVersion_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.

#include <MalibuVersion_Mb.h>


namespace Innovative
{


//------------------------------------------------------------------------------
//  MalibuVersion::MalibuVersion()
//------------------------------------------------------------------------------

MalibuVersion::MalibuVersion() :
            malibuversion(MALIBU_VERSION_STRING)
{
    pimpl = new InnovativeKernel::Osal::VersionImpl;
}

//------------------------------------------------------------------------------
//  MalibuVersion::~MalibuVersion()
//------------------------------------------------------------------------------

MalibuVersion::~MalibuVersion()
{
    delete pimpl;
}

//------------------------------------------------------------------------------
//  MalibuVersion::Driver()
//------------------------------------------------------------------------------

std::string MalibuVersion::DriverRaw() const
{
    return pimpl->DriverRaw();
}

//------------------------------------------------------------------------------
//  MalibuVersion::Driver()
//------------------------------------------------------------------------------

std::string MalibuVersion::Driver() const
{
    return pimpl->Driver();
}

//------------------------------------------------------------------------------
//  MalibuVersion::Licence()
//------------------------------------------------------------------------------

std::string MalibuVersion::Licence() const
{
    return pimpl->Licence();
}

//------------------------------------------------------------------------------
//  MalibuVersion::Malibu()
//------------------------------------------------------------------------------

std::string MalibuVersion::Malibu() const
{
    return malibuversion;
}


}  // namespace Innovative

