//  MatadorMemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef MatadorMap_MbH
#define MatadorMap_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

namespace Matador_MemoryMap
{
  const int  mmMailboxRamBase     = 0x0c000;
  const int  mmLogicData          = 0x12000;
  const int  mmLogicConfig        = 0x12400;
  const int  mmFpaReg             = 0x12c00;
  const int  mmPciInterruptEnable = 0x14400;
  const int  mmBmReadAddressReg   = 0x15000;
  const int  mmBmWriteAddressReg  = 0x15400;
  const int  mmBmRegionSizeReg    = 0x15800;
  const int  mmMailboxCmdReg      = 0x17800;
  const int  mmMailboxClearReg    = 0x17c00;
  const int  mmInterruptStatus    = 0x19000;
  const int  mmControlStatusReg   = 0x19400;
  const int  mmHpiControlLswReg   = 0x1c000;
  const int  mmHpiControlMswReg   = 0x1c400;
  const int  mmHpiAddressLswReg   = 0x1c800;
  const int  mmHpiAddressMswReg   = 0x1cc00;
  const int  mmHpiDataIncrLswReg  = 0x1d000;
  const int  mmHpiDataIncrMswReg  = 0x1d400;
  const int  mmHpiDataLswReg      = 0x1d800;
  const int  mmHpiDataMswReg      = 0x1dc00;

} // end namespace Matador_MemoryMap

#ifdef __CLR_VER
#pragma managed(pop)
#endif
}; // end namespace Innovative
#endif
