// PciLogicVersionInfoIntf_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef PciLogicVersionInfoIntf_Mb_H
#define PciLogicVersionInfoIntf_Mb_H

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS PciLogicVersionInfoIntf -- User interface to PCI logic ID
//===========================================================================

class PciLogicVersionInfoIntf
{
public:
    //
    //  Interface Functions
    virtual short           PciLogicRevision() const = 0;
    virtual short           PciLogicFamily() const = 0;
    virtual short           PciLogicPcb() const = 0;
    virtual short           PciLogicType() const = 0;
    virtual short           PciLogicGeographicAddress() const = 0;
    virtual unsigned int    PciLogicRawValue() const = 0;
    
    virtual ~PciLogicVersionInfoIntf() {}
};


#ifdef __CLR_VER
#pragma managed(pop)
#endif

} // end namespace Innovative


#endif
