// PexBoard_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2011 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef PexBoard_MbH
#define PexBoard_MbH

#include <FmcCarrierBoard_Mb.h>
#include <PexDeviceMap_Mb.h>

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//===========================================================================
//  CLASS PexBoard  -- Pex Common baseboard class
//===========================================================================

class PexBoard : public FmcCarrierAdvBoard
{

public:

    //
    //  Member Functions
    PexBoard(PexDeviceMap & deviceMap);
    virtual ~PexBoard();

	//  Informational Methods
	IX6SioPllControl &  SioPll()  {  return PexDeviceRef.SioPll_SDev;  }

	PexDeviceMap &  PexDebug()  {  return PexDeviceRef;  }

public: //Pseudo protected

protected:
    //
    //  Member Data
    PexDeviceMap &                  PexDeviceRef;

};


#ifdef __CLR_VER
#pragma managed(pop)
#endif
}; // namespace Innovative

#endif

