//
// PllCalMem_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2003 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef PllCalMem_MbH
#define PllCalMem_MbH

#include <CalMemBase_Mb.h>

namespace Innovative
{

#ifdef __CLR_VER
#pragma managed(push, off)
#endif

//=============================================================================
//  CLASS IUsesPllCalibration  --  Calibration memory access class for analog I/O
//=============================================================================

class IUsesPllCalibration : public IUsesCalibration
{
public:
	// Ctor
    IUsesPllCalibration(AddressingSpace & space,
        unsigned int addr, int size,int channels, int one);

    // Properties
	IUsesPllCalibration &	PllCorrection(float value);
	float				    PllCorrection() const;

protected:
	// Overrides: Apply to ROM and hardware
    virtual void		SetCalibrationPllCorrection(float value) = 0;
};

#ifdef __CLR_VER
#pragma managed(pop)
#endif

} // namespace Innovative

#endif
