# -------------------------------------------------
# Project created by QtCreator 2009-12-18T16:41:32
# -------------------------------------------------
QT     -= core gui

TEMPLATE = lib
CONFIG += staticlib
CONFIG += c++11
DEFINES += GCC
DEFINES -= UNICODE

HOMEDIR = "../../../"
win32 {
    contains(QMAKE_HOST.arch, x86_64) {
        DEFINES += WIN64
    }
}
SOURCES += \
    ../../Framework/Windows/CommandLine_Win.cpp \
    ../../Framework/Windows/Thunker_Win.cpp \
    ../../Framework/Windows/MemDrvCtrl_Win.cpp \
    ../../Framework/Windows/VersionInfo_Win.cpp \
    ../../Framework/Windows/FileFindThread_Win.cpp \
    ../../Framework/Windows/FileFind_Win.cpp \
    ../../Framework/Windows/DosThread_Win.cpp \
    ../../Framework/Windows/Dos_Win.cpp \
    ../../Framework/Windows/OsDetector_Win.cpp \
    ../../Framework/Windows/Shutdown_Win.cpp \
    ../../Framework/Windows/Registry_Win.cpp \
    ../../Framework/Windows/Pipe_Win.cpp \
    ../../Framework/Windows/PipeThread_Win.cpp \
    ../../Framework/Windows/Mailslot_Win.cpp \
    ../../Framework/Windows/MultiMedia_Win.cpp \
    ../../Framework/Windows/MultiObject_Win.cpp

CONFIG(debug, debug|release) {
    DESTDIR = $$HOMEDIR/Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR = $$HOMEDIR/Lib/Gcc/Release
    OBJECTS_DIR = release
}

INCLUDEPATH += $$HOMEDIR/Malibu \
               $$HOMEDIR/Malibu/Poco/Foundation/include

TARGET = Framework_Win

HEADERS += \
    ../../Framework/Windows/VersionInfo_Win.h \
    ../../Framework/Windows/MemDrvCtrl_Win.h \
    ../../Framework/Windows/Thunker_Win.h \
    ../../Framework/Windows/Dos_Win.h \
    ../../Framework/Windows/DosThread_Win.h \
    ../../Framework/Windows/FileFind_Win.h \
    ../../Framework/Windows/FileFindThread_Win.h \
    ../../Framework/Windows/OsDetector_Win.h \
    ../../Framework/Windows/Shutdown_Win.h \
    ../../Framework/Windows/Mailslot_Win.h \
    ../../Framework/Windows/MultiMedia_Win.h \
    ../../Framework/Windows/MultiObject_Win.h \
    ../../Framework/Windows/Mutex_Win.h \
    ../../Framework/Windows/Overlapped_Win.h \
    ../../Framework/Windows/Semaphore_Win.h \
    ../../Framework/Windows/CommandLine_Win.h \
    ../../Framework/Windows/Event_Win.h \
    ../../Framework/Windows/Pipe_Win.h \
    ../../Framework/Windows/PipeThread_Win.h \
    ../../Framework/Windows/Registry_Win.h

OTHER_FILES +=
