# -------------------------------------------------
# Project created by QtCreator 2009-12-17T10:04:33
# -------------------------------------------------
QT -= core \
    gui
TEMPLATE = lib
CONFIG += staticlib
CONFIG += c++11
QMAKE_CXXFLAGS += -fpermissive
DEFINES -= UNICODE

HOMEDIR = "../../../"

unix {
    DEFINES += LINUX UNIX
}
win32 {
    contains(QMAKE_HOST.arch, x86_64) {
        DEFINES += WIN64
    }
}
CONFIG(debug, debug|release) { 
    DESTDIR =../../../Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else { 
    DESTDIR =../../../Lib/Gcc/Release
    OBJECTS_DIR = release
}
INCLUDEPATH = $$HOMEDIR/Malibu \
    $$HOMEDIR/Malibu/Xilinx \
    $$HOMEDIR/Malibu/StreamStor \
    $$HOMEDIR/Malibu/Poco/Foundation/include

TARGET = Hardware_Mb
SOURCES += ../../Ad9511Duo_Mb.cpp \
    ../../Ad9516_Tb_Mb.cpp \
    ../../Clockbase_Mb.cpp \
    ../../PacketInterruptScheme_Mb.cpp \
    ../../PacketDeviceMap_Mb.cpp \
    ../../Message_Mb.cpp \
    ../../HpiEngine_Mb.cpp \
    ../../BlockStream_Mb.cpp \
    ../../VirtexJtagLoader_Mb.cpp \
    ../../Script_Mb.cpp \
    ../../PmcIdrom_Mb.cpp \
    ../../PmcEeprom_Mb.cpp \
    ../../PllCalMem_Mb.cpp \
    ../../LogicLoadThread_Mb.cpp \
    ../../ICS843002_Mb.cpp \
    ../../ICS8442_Mb.cpp \
    ../../ICS8402_Mb.cpp \
    ../../I2C_Mb.cpp \
    ../../GcScript_Mb.cpp \
    ../../FpgaLogicVersionInfo_Mb.cpp \
    ../../FpaLoadThread_Mb.cpp \
    ../../CalMemBase_Mb.cpp \
    ../../XsvfLoadThread_Mb.cpp \
    ../../Xilinx/Ports_Mb.cpp \
    ../../Xilinx/Micro_Mb.cpp \
    ../../Xilinx/Lenval_Mb.cpp \
    ../../ZbtRam_Mb.cpp \
    ../../PciLogicVersionInfo_Mb.cpp \
    ../../PacketDeviceImpl_Mb.cpp \
    ../../CoffThread_Mb.cpp \
    ../../CoffFile_Mb.cpp \
    ../../ChannelInfo_Mb.cpp \
    ../../AlertSystem_Mb.cpp \
    ../../TycoGps_Mb.cpp \
    ../../SimpleInterrupt_Mb.cpp \
    ../../LogicTemperature_Mb.cpp \
    ../../FpgaImage_Mb.cpp \
    ../../DioPort_Mb.cpp \
    ../../Ad9952_Mb.cpp \
    ../../Ad9516_Mb.cpp \
    ../../Ad9511_Mb.cpp \
    ../../VcxoControl_Mb.cpp \
    ../../TimebaseDevice_Mb.cpp \
    ../../SpiDevice_Mb.cpp \
    ../../Si570_Mb.cpp \
    ../../PacketImage_Mb.cpp \
    ../../HardwareRegister_Mb.cpp \
    ../../GpsMessage_Mb.cpp \
    ../../Gps_MiniT_Mb.cpp \
    ../../Gps_Mb.cpp \
    ../../Gps_CW25_Mb.cpp \
    ../../Ds4026_Mb.cpp \
    ../../CDCE_Conversion_Mb.cpp \
    ../../CDCE72010_Mb.cpp \
    ../../VirtexFpgaLoader_Mb.cpp \
    ../../PacketStream_Mb.cpp \
    ../../CDCE18005_Mb.cpp \
    ../../Ddc_Mb.cpp \
    ../../PacketStreamSupport_Mb.cpp \
    ../../PacketStreamBase_Mb.cpp \
    ../../VitaPacketStream_Mb.cpp \
    ../../Si5338_Mb.cpp \
    ../../TiDac5682z_Mb.cpp \
    ../../Ad9511Support_Mb.cpp \
    ../../CDCE62005_Mb.cpp \
    ../../Gps_Csac_Mb.cpp \
    ../../Tuner_Mb.cpp \
    ../../Tuner_MMS_Mb.cpp \
    ../../LMK04800_Mb.cpp \
    ../../PacketPoll_Mb.cpp \
    ../../AdDac9122_Mb.cpp \
    ../../LMK04820_Mb.cpp \
    ../../MultiChanBoard_Mb.cpp \
    ../../MultiChanDeviceMap_Mb.cpp \
    ../../MultiChanStreamSupport_Mb.cpp \
    ../../MultiChanInterruptScheme_Mb.cpp \
    ../../MultiChanStream_Mb.cpp \
    ../../Ad9508_Tb_Mb.cpp \
    ../../Ad9510Duo_Tb_Mb.cpp \
    ../../Ad9510_Tb_Mb.cpp \
    ../../Gps_Ieee1588_Mb.cpp \
    ../../ADF4355_Mb.cpp \
    ../../LMK61E2_Mb.cpp \
    ../../AD9680_SubDevice_Mb.cpp \
    ../../DAC3xJ82_SubDevice_Mb.cpp \
    ../../AD9162_Dac_SubDevice_Mb.cpp \
    ../../AD7768_Mb.cpp \
    ../../DAC3484_SubDevice_Mb.cpp
HEADERS += ../../LMK04800_Mb.h \
    ../../PacketPoll_Mb.h \
    ../../AdDac9122_Mb.h \
    ../../AdDac9122_Mb.h \
    ../../LMK04820_Mb.h \
    ../../MultiChanBoard_Mb.h \
    ../../MultiChanDeviceMap_Mb.h \
    ../../MultiChanStreamSupport_Mb.h \
    ../../MultiChanInterruptScheme_Mb.h \
    ../../MultiChanStream_Mb.h \
    ../../Ad9508_Tb_Mb.h \
    ../../Ad9510Duo_Tb_Mb.h \
    ../../Ad9510_Tb_Mb.h \
    ../../Gps_Ieee1588_Mb.h \
    ../../ADF4355_Mb.h \
    ../../LMK61E2_Mb.h \
    ../../AD9680_SubDevice_Mb.h \
    ../../DAC3xJ82_SubDevice_Mb.h \
    ../../AD9162_Dac_SubDevice_Mb.h \
    ../../AD7768_Mb.h \
    ../../DAC3484_SubDevice_Mb.h
