# -------------------------------------------------
# Project created by QtCreator 2009-12-22T10:29:44
# -------------------------------------------------
QT -= core \
    gui
TEMPLATE = lib
CONFIG += staticlib
CONFIG += c++11
DEFINES += GCC POCO_NO_SOO
DEFINES -= UNICODE


HOMEDIR = "../../../"

unix {
DEFINES += LINUX HAVE_MEMMOVE POCO_NO_WINDOWS_H
}

win32 {
    contains(QMAKE_HOST.arch, x86_64) {
        DEFINES += "WIN64" \
                    "POCO_PTR_IS_64_BIT" \
                    "POCO_WIN32_UTF8"
        }
    DEFINES += "_WIN32" \
        "MINGW32" \
        "WINVER=0x0500" \
        "POCO_OS_FAMILY_WINDOWS" \
        "POCO_STATIC" \
        "PCRE_STATIC" \
        "POCO_THREAD_STACK_SIZE" \
        "HAVE_MEMMOVE" \
        "Foundation_Config_INCLUDED" \
        "POCO_WIN32_UTF8" \
        "POCO_NO_FPENVIRONMENT"

}
CONFIG(debug, debug|release) {
    DESTDIR =../../../Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR =../../../Lib/Gcc/Release
    OBJECTS_DIR = release
}
QMAKE_CFLAGS_DEBUG += -w \
    -O0
QMAKE_CXXFLAGS_DEBUG += -w \
    -O0
QMAKE_CFLAGS_RELEASE += -w \
    -O0
QMAKE_CXXFLAGS_RELEASE += -w \
    -O0
INCLUDEPATH = $$HOMEDIR/Malibu \
    $$HOMEDIR/Malibu/Poco/Foundation/include \
    $$HOMEDIR/Malibu/Poco/Foundation




TARGET = Poco_Foundation_Mb
HEADERS += ../../Poco/Foundation/include/Poco/AbstractCache.h \
    ../../Poco/Foundation/include/Poco/AbstractDelegate.h \
    ../../Poco/Foundation/include/Poco/AbstractEvent.h \
    ../../Poco/Foundation/include/Poco/AbstractObserver.h \
    ../../Poco/Foundation/include/Poco/AbstractPriorityDelegate.h \
    ../../Poco/Foundation/include/Poco/AbstractStrategy.h \
    ../../Poco/Foundation/include/Poco/AccessExpirationDecorator.h \
    ../../Poco/Foundation/include/Poco/AccessExpireCache.h \
    ../../Poco/Foundation/include/Poco/AccessExpireLRUCache.h \
    ../../Poco/Foundation/include/Poco/AccessExpireStrategy.h \
    ../../Poco/Foundation/include/Poco/ActiveDispatcher.h \
    ../../Poco/Foundation/include/Poco/ActiveMethod.h \
    ../../Poco/Foundation/include/Poco/ActiveResult.h \
    ../../Poco/Foundation/include/Poco/ActiveRunnable.h \
    ../../Poco/Foundation/include/Poco/ActiveStarter.h \
    ../../Poco/Foundation/include/Poco/Activity.h \
    ../../Poco/Foundation/include/Poco/Alignment.h \
    ../../Poco/Foundation/include/Poco/Any.h \
    ../../Poco/Foundation/include/Poco/ArchiveStrategy.h \
    ../../Poco/Foundation/include/Poco/Array.h \
    ../../Poco/Foundation/include/Poco/Ascii.h \
    ../../Poco/Foundation/include/Poco/ASCIIEncoding.h \
    ../../Poco/Foundation/include/Poco/AsyncChannel.h \
    ../../Poco/Foundation/include/Poco/AtomicCounter.h \
    ../../Poco/Foundation/include/Poco/AutoPtr.h \
    ../../Poco/Foundation/include/Poco/AutoReleasePool.h \
    ../../Poco/Foundation/include/Poco/Base32Decoder.h \
    ../../Poco/Foundation/include/Poco/Base32Encoder.h \
    ../../Poco/Foundation/include/Poco/Base64Decoder.h \
    ../../Poco/Foundation/include/Poco/Base64Encoder.h \
    ../../Poco/Foundation/include/Poco/BasicEvent.h \
    ../../Poco/Foundation/include/Poco/BinaryReader.h \
    ../../Poco/Foundation/include/Poco/BinaryWriter.h \
    ../../Poco/Foundation/include/Poco/Buffer.h \
    ../../Poco/Foundation/include/Poco/BufferAllocator.h \
    ../../Poco/Foundation/include/Poco/BufferedBidirectionalStreamBuf.h \
    ../../Poco/Foundation/include/Poco/BufferedStreamBuf.h \
    ../../Poco/Foundation/include/Poco/Bugcheck.h \
    ../../Poco/Foundation/include/Poco/ByteOrder.h \
    ../../Poco/Foundation/include/Poco/Channel.h \
    ../../Poco/Foundation/include/Poco/Checksum.h \
    ../../Poco/Foundation/include/Poco/ClassLibrary.h \
    ../../Poco/Foundation/include/Poco/ClassLoader.h \
    ../../Poco/Foundation/include/Poco/Clock.h \
    ../../Poco/Foundation/include/Poco/Condition.h \
    ../../Poco/Foundation/include/Poco/Config.h \
    ../../Poco/Foundation/include/Poco/Configurable.h \
    ../../Poco/Foundation/include/Poco/ConsoleChannel.h \
    ../../Poco/Foundation/include/Poco/CountingStream.h \
    ../../Poco/Foundation/include/Poco/DateTime.h \
    ../../Poco/Foundation/include/Poco/DateTimeFormat.h \
    ../../Poco/Foundation/include/Poco/DateTimeFormatter.h \
    ../../Poco/Foundation/include/Poco/DateTimeParser.h \
    ../../Poco/Foundation/include/Poco/Debugger.h \
    ../../Poco/Foundation/include/Poco/DefaultStrategy.h \
    ../../Poco/Foundation/include/Poco/DeflatingStream.h \
    ../../Poco/Foundation/include/Poco/Delegate.h \
    ../../Poco/Foundation/include/Poco/DigestEngine.h \
    ../../Poco/Foundation/include/Poco/DigestStream.h \
    ../../Poco/Foundation/include/Poco/DirectoryIterator.h \
    ../../Poco/Foundation/include/Poco/DirectoryIterator_UNIX.h \
    ../../Poco/Foundation/include/Poco/DirectoryIterator_VMS.h \
    ../../Poco/Foundation/include/Poco/DirectoryIterator_WIN32.h \
    ../../Poco/Foundation/include/Poco/DirectoryIterator_WIN32U.h \
    ../../Poco/Foundation/include/Poco/DirectoryIteratorStrategy.h \
    ../../Poco/Foundation/include/Poco/DirectoryWatcher.h \
    ../../Poco/Foundation/include/Poco/DynamicAny.h \
    ../../Poco/Foundation/include/Poco/DynamicAnyHolder.h \
    ../../Poco/Foundation/include/Poco/DynamicFactory.h \
    ../../Poco/Foundation/include/Poco/DynamicStruct.h \
    ../../Poco/Foundation/include/Poco/Environment.h \
    ../../Poco/Foundation/include/Poco/Environment_UNIX.h \
    ../../Poco/Foundation/include/Poco/Environment_VMS.h \
    ../../Poco/Foundation/include/Poco/Environment_VX.h \
    ../../Poco/Foundation/include/Poco/Environment_WIN32.h \
    ../../Poco/Foundation/include/Poco/Environment_WIN32U.h \
    ../../Poco/Foundation/include/Poco/Environment_WINCE.h \
    ../../Poco/Foundation/include/Poco/Error.h \
    ../../Poco/Foundation/include/Poco/ErrorHandler.h \
    ../../Poco/Foundation/include/Poco/Event.h \
    ../../Poco/Foundation/include/Poco/Event_POSIX.h \
    ../../Poco/Foundation/include/Poco/Event_VX.h \
    ../../Poco/Foundation/include/Poco/Event_WIN32.h \
    ../../Poco/Foundation/include/Poco/EventArgs.h \
    ../../Poco/Foundation/include/Poco/EventChannel.h \
    ../../Poco/Foundation/include/Poco/Exception.h \
    ../../Poco/Foundation/include/Poco/ExpirationDecorator.h \
    ../../Poco/Foundation/include/Poco/Expire.h \
    ../../Poco/Foundation/include/Poco/ExpireCache.h \
    ../../Poco/Foundation/include/Poco/ExpireLRUCache.h \
    ../../Poco/Foundation/include/Poco/ExpireStrategy.h \
    ../../Poco/Foundation/include/Poco/FIFOBuffer.h \
    ../../Poco/Foundation/include/Poco/FIFOBufferStream.h \
    ../../Poco/Foundation/include/Poco/FIFOEvent.h \
    ../../Poco/Foundation/include/Poco/FIFOStrategy.h \
    ../../Poco/Foundation/include/Poco/File.h \
    ../../Poco/Foundation/include/Poco/File_UNIX.h \
    ../../Poco/Foundation/include/Poco/File_VMS.h \
    ../../Poco/Foundation/include/Poco/File_VX.h \
    ../../Poco/Foundation/include/Poco/File_WIN32.h \
    ../../Poco/Foundation/include/Poco/File_WIN32U.h \
    ../../Poco/Foundation/include/Poco/File_WINCE.h \
    ../../Poco/Foundation/include/Poco/FileChannel.h \
    ../../Poco/Foundation/include/Poco/FileStream.h \
    ../../Poco/Foundation/include/Poco/FileStream_POSIX.h \
    ../../Poco/Foundation/include/Poco/FileStream_WIN32.h \
    ../../Poco/Foundation/include/Poco/FileStreamFactory.h \
    ../../Poco/Foundation/include/Poco/Format.h \
    ../../Poco/Foundation/include/Poco/Formatter.h \
    ../../Poco/Foundation/include/Poco/FormattingChannel.h \
    ../../Poco/Foundation/include/Poco/Foundation.h \
    ../../Poco/Foundation/include/Poco/FPEnvironment.h \
    ../../Poco/Foundation/include/Poco/FPEnvironment_C99.h \
    ../../Poco/Foundation/include/Poco/FPEnvironment_DEC.h \
    ../../Poco/Foundation/include/Poco/FPEnvironment_DUMMY.h \
    ../../Poco/Foundation/include/Poco/FPEnvironment_SUN.h \
    ../../Poco/Foundation/include/Poco/FPEnvironment_WIN32.h \
    ../../Poco/Foundation/include/Poco/FunctionDelegate.h \
    ../../Poco/Foundation/include/Poco/FunctionPriorityDelegate.h \
    ../../Poco/Foundation/include/Poco/Glob.h \
    ../../Poco/Foundation/include/Poco/Hash.h \
    ../../Poco/Foundation/include/Poco/HashFunction.h \
    ../../Poco/Foundation/include/Poco/HashMap.h \
    ../../Poco/Foundation/include/Poco/HashSet.h \
    ../../Poco/Foundation/include/Poco/HashStatistic.h \
    ../../Poco/Foundation/include/Poco/HashTable.h \
    ../../Poco/Foundation/include/Poco/HexBinaryDecoder.h \
    ../../Poco/Foundation/include/Poco/HexBinaryEncoder.h \
    ../../Poco/Foundation/include/Poco/HMACEngine.h \
    ../../Poco/Foundation/include/Poco/InflatingStream.h \
    ../../Poco/Foundation/include/Poco/Instantiator.h \
    ../../Poco/Foundation/include/Poco/KeyValueArgs.h \
    ../../Poco/Foundation/include/Poco/Latin1Encoding.h \
    ../../Poco/Foundation/include/Poco/Latin2Encoding.h \
    ../../Poco/Foundation/include/Poco/Latin9Encoding.h \
    ../../Poco/Foundation/include/Poco/LinearHashTable.h \
    ../../Poco/Foundation/include/Poco/LineEndingConverter.h \
    ../../Poco/Foundation/include/Poco/ListMap.h \
    ../../Poco/Foundation/include/Poco/LocalDateTime.h \
    ../../Poco/Foundation/include/Poco/LogFile.h \
    ../../Poco/Foundation/include/Poco/LogFile_STD.h \
    ../../Poco/Foundation/include/Poco/LogFile_VMS.h \
    ../../Poco/Foundation/include/Poco/LogFile_WIN32.h \
    ../../Poco/Foundation/include/Poco/LogFile_WIN32U.h \
    ../../Poco/Foundation/include/Poco/Logger.h \
    ../../Poco/Foundation/include/Poco/LoggingFactory.h \
    ../../Poco/Foundation/include/Poco/LoggingRegistry.h \
    ../../Poco/Foundation/include/Poco/LogStream.h \
    ../../Poco/Foundation/include/Poco/LRUCache.h \
    ../../Poco/Foundation/include/Poco/LRUStrategy.h \
    ../../Poco/Foundation/include/Poco/Manifest.h \
    ../../Poco/Foundation/include/Poco/MD4Engine.h \
    ../../Poco/Foundation/include/Poco/MD5Engine.h \
    ../../Poco/Foundation/include/Poco/MemoryPool.h \
    ../../Poco/Foundation/include/Poco/MemoryStream.h \
    ../../Poco/Foundation/include/Poco/Message.h \
    ../../Poco/Foundation/include/Poco/MetaObject.h \
    ../../Poco/Foundation/include/Poco/MetaProgramming.h \
    ../../Poco/Foundation/include/Poco/Mutex.h \
    ../../Poco/Foundation/include/Poco/Mutex_POSIX.h \
    ../../Poco/Foundation/include/Poco/Mutex_VX.h \
    ../../Poco/Foundation/include/Poco/Mutex_WIN32.h \
    ../../Poco/Foundation/include/Poco/Mutex_WINCE.h \
    ../../Poco/Foundation/include/Poco/NamedEvent.h \
    ../../Poco/Foundation/include/Poco/NamedEvent_Android.h \
    ../../Poco/Foundation/include/Poco/NamedEvent_UNIX.h \
    ../../Poco/Foundation/include/Poco/NamedEvent_VMS.h \
    ../../Poco/Foundation/include/Poco/NamedEvent_WIN32.h \
    ../../Poco/Foundation/include/Poco/NamedEvent_WIN32U.h \
    ../../Poco/Foundation/include/Poco/NamedMutex.h \
    ../../Poco/Foundation/include/Poco/NamedMutex_Android.h \
    ../../Poco/Foundation/include/Poco/NamedMutex_UNIX.h \
    ../../Poco/Foundation/include/Poco/NamedMutex_VMS.h \
    ../../Poco/Foundation/include/Poco/NamedMutex_WIN32.h \
    ../../Poco/Foundation/include/Poco/NamedMutex_WIN32U.h \
    ../../Poco/Foundation/include/Poco/NamedTuple.h \
    ../../Poco/Foundation/include/Poco/NestedDiagnosticContext.h \
    ../../Poco/Foundation/include/Poco/NObserver.h \
    ../../Poco/Foundation/include/Poco/Notification.h \
    ../../Poco/Foundation/include/Poco/NotificationCenter.h \
    ../../Poco/Foundation/include/Poco/NotificationQueue.h \
    ../../Poco/Foundation/include/Poco/NotificationStrategy.h \
    ../../Poco/Foundation/include/Poco/Nullable.h \
    ../../Poco/Foundation/include/Poco/NullChannel.h \
    ../../Poco/Foundation/include/Poco/NullStream.h \
    ../../Poco/Foundation/include/Poco/NumberFormatter.h \
    ../../Poco/Foundation/include/Poco/NumberParser.h \
    ../../Poco/Foundation/include/Poco/NumericString.h \
    ../../Poco/Foundation/include/Poco/ObjectPool.h \
    ../../Poco/Foundation/include/Poco/Observer.h \
    ../../Poco/Foundation/include/Poco/OpcomChannel.h \
    ../../Poco/Foundation/include/Poco/Optional.h \
    ../../Poco/Foundation/include/Poco/Path.h \
    ../../Poco/Foundation/include/Poco/Path_UNIX.h \
    ../../Poco/Foundation/include/Poco/Path_VMS.h \
    ../../Poco/Foundation/include/Poco/Path_WIN32.h \
    ../../Poco/Foundation/include/Poco/Path_WIN32U.h \
    ../../Poco/Foundation/include/Poco/Path_WINCE.h \
    ../../Poco/Foundation/include/Poco/PatternFormatter.h \
    ../../Poco/Foundation/include/Poco/PBKDF2Engine.h \
    ../../Poco/Foundation/include/Poco/Pipe.h \
    ../../Poco/Foundation/include/Poco/PipeImpl.h \
    ../../Poco/Foundation/include/Poco/PipeImpl_DUMMY.h \
    ../../Poco/Foundation/include/Poco/PipeImpl_POSIX.h \
    ../../Poco/Foundation/include/Poco/PipeImpl_WIN32.h \
    ../../Poco/Foundation/include/Poco/PipeStream.h \
    ../../Poco/Foundation/include/Poco/Platform.h \
    ../../Poco/Foundation/include/Poco/Platform_POSIX.h \
    ../../Poco/Foundation/include/Poco/Platform_VMS.h \
    ../../Poco/Foundation/include/Poco/Platform_VX.h \
    ../../Poco/Foundation/include/Poco/Platform_WIN32.h \
    ../../Poco/Foundation/include/Poco/Poco.h \
    ../../Poco/Foundation/include/Poco/PriorityDelegate.h \
    ../../Poco/Foundation/include/Poco/PriorityEvent.h \
    ../../Poco/Foundation/include/Poco/PriorityExpire.h \
    ../../Poco/Foundation/include/Poco/PriorityNotificationQueue.h \
    ../../Poco/Foundation/include/Poco/PriorityStrategy.h \
    ../../Poco/Foundation/include/Poco/Process.h \
    ../../Poco/Foundation/include/Poco/Process_UNIX.h \
    ../../Poco/Foundation/include/Poco/Process_VMS.h \
    ../../Poco/Foundation/include/Poco/Process_VX.h \
    ../../Poco/Foundation/include/Poco/Process_WIN32.h \
    ../../Poco/Foundation/include/Poco/Process_WIN32U.h \
    ../../Poco/Foundation/include/Poco/Process_WINCE.h \
    ../../Poco/Foundation/include/Poco/PurgeStrategy.h \
    ../../Poco/Foundation/include/Poco/Random.h \
    ../../Poco/Foundation/include/Poco/RandomStream.h \
    ../../Poco/Foundation/include/Poco/RecursiveDirectoryIterator.h \
    ../../Poco/Foundation/include/Poco/RecursiveDirectoryIteratorImpl.h \
    ../../Poco/Foundation/include/Poco/RefCountedObject.h \
    ../../Poco/Foundation/include/Poco/RegularExpression.h \
    ../../Poco/Foundation/include/Poco/RotateStrategy.h \
    ../../Poco/Foundation/include/Poco/Runnable.h \
    ../../Poco/Foundation/include/Poco/RunnableAdapter.h \
    ../../Poco/Foundation/include/Poco/RWLock.h \
    ../../Poco/Foundation/include/Poco/RWLock_Android.h \
    ../../Poco/Foundation/include/Poco/RWLock_POSIX.h \
    ../../Poco/Foundation/include/Poco/RWLock_VX.h \
    ../../Poco/Foundation/include/Poco/RWLock_WIN32.h \
    ../../Poco/Foundation/include/Poco/RWLock_WINCE.h \
    ../../Poco/Foundation/include/Poco/ScopedLock.h \
    ../../Poco/Foundation/include/Poco/ScopedUnlock.h \
    ../../Poco/Foundation/include/Poco/Semaphore.h \
    ../../Poco/Foundation/include/Poco/Semaphore_POSIX.h \
    ../../Poco/Foundation/include/Poco/Semaphore_VX.h \
    ../../Poco/Foundation/include/Poco/Semaphore_WIN32.h \
    ../../Poco/Foundation/include/Poco/SHA1Engine.h \
    ../../Poco/Foundation/include/Poco/SharedLibrary.h \
    ../../Poco/Foundation/include/Poco/SharedLibrary_HPUX.h \
    ../../Poco/Foundation/include/Poco/SharedLibrary_UNIX.h \
    ../../Poco/Foundation/include/Poco/SharedLibrary_VMS.h \
    ../../Poco/Foundation/include/Poco/SharedLibrary_VX.h \
    ../../Poco/Foundation/include/Poco/SharedLibrary_WIN32.h \
    ../../Poco/Foundation/include/Poco/SharedLibrary_WIN32U.h \
    ../../Poco/Foundation/include/Poco/SharedMemory.h \
    ../../Poco/Foundation/include/Poco/SharedMemory_DUMMY.h \
    ../../Poco/Foundation/include/Poco/SharedMemory_POSIX.h \
    ../../Poco/Foundation/include/Poco/SharedMemory_WIN32.h \
    ../../Poco/Foundation/include/Poco/SharedPtr.h \
    ../../Poco/Foundation/include/Poco/SignalHandler.h \
    ../../Poco/Foundation/include/Poco/SimpleFileChannel.h \
    ../../Poco/Foundation/include/Poco/SimpleHashTable.h \
    ../../Poco/Foundation/include/Poco/SingletonHolder.h \
    ../../Poco/Foundation/include/Poco/SortedDirectoryIterator.h \
    ../../Poco/Foundation/include/Poco/SplitterChannel.h \
    ../../Poco/Foundation/include/Poco/Stopwatch.h \
    ../../Poco/Foundation/include/Poco/StrategyCollection.h \
    ../../Poco/Foundation/include/Poco/StreamChannel.h \
    ../../Poco/Foundation/include/Poco/StreamConverter.h \
    ../../Poco/Foundation/include/Poco/StreamCopier.h \
    ../../Poco/Foundation/include/Poco/StreamTokenizer.h \
    ../../Poco/Foundation/include/Poco/StreamUtil.h \
    ../../Poco/Foundation/include/Poco/String.h \
    ../../Poco/Foundation/include/Poco/StringTokenizer.h \
    ../../Poco/Foundation/include/Poco/SynchronizedObject.h \
    ../../Poco/Foundation/include/Poco/SyslogChannel.h \
    ../../Poco/Foundation/include/Poco/Task.h \
    ../../Poco/Foundation/include/Poco/TaskManager.h \
    ../../Poco/Foundation/include/Poco/TaskNotification.h \
    ../../Poco/Foundation/include/Poco/TeeStream.h \
    ../../Poco/Foundation/include/Poco/TemporaryFile.h \
    ../../Poco/Foundation/include/Poco/TextBufferIterator.h \
    ../../Poco/Foundation/include/Poco/TextConverter.h \
    ../../Poco/Foundation/include/Poco/TextEncoding.h \
    ../../Poco/Foundation/include/Poco/TextIterator.h \
    ../../Poco/Foundation/include/Poco/Thread.h \
    ../../Poco/Foundation/include/Poco/Thread_POSIX.h \
    ../../Poco/Foundation/include/Poco/Thread_VX.h \
    ../../Poco/Foundation/include/Poco/Thread_WIN32.h \
    ../../Poco/Foundation/include/Poco/Thread_WINCE.h \
    ../../Poco/Foundation/include/Poco/ThreadLocal.h \
    ../../Poco/Foundation/include/Poco/ThreadPool.h \
    ../../Poco/Foundation/include/Poco/ThreadTarget.h \
    ../../Poco/Foundation/include/Poco/TimedNotificationQueue.h \
    ../../Poco/Foundation/include/Poco/Timer.h \
    ../../Poco/Foundation/include/Poco/Timespan.h \
    ../../Poco/Foundation/include/Poco/Timestamp.h \
    ../../Poco/Foundation/include/Poco/Timezone.h \
    ../../Poco/Foundation/include/Poco/Token.h \
    ../../Poco/Foundation/include/Poco/Tuple.h \
    ../../Poco/Foundation/include/Poco/TypeList.h \
    ../../Poco/Foundation/include/Poco/Types.h \
    ../../Poco/Foundation/include/Poco/UnbufferedStreamBuf.h \
    ../../Poco/Foundation/include/Poco/Unicode.h \
    ../../Poco/Foundation/include/Poco/UnicodeConverter.h \
    ../../Poco/Foundation/include/Poco/UniqueAccessExpireCache.h \
    ../../Poco/Foundation/include/Poco/UniqueAccessExpireLRUCache.h \
    ../../Poco/Foundation/include/Poco/UniqueAccessExpireStrategy.h \
    ../../Poco/Foundation/include/Poco/UniqueExpireCache.h \
    ../../Poco/Foundation/include/Poco/UniqueExpireLRUCache.h \
    ../../Poco/Foundation/include/Poco/UniqueExpireStrategy.h \
    ../../Poco/Foundation/include/Poco/UnWindows.h \
    ../../Poco/Foundation/include/Poco/URI.h \
    ../../Poco/Foundation/include/Poco/URIStreamFactory.h \
    ../../Poco/Foundation/include/Poco/URIStreamOpener.h \
    ../../Poco/Foundation/include/Poco/UTF8Encoding.h \
    ../../Poco/Foundation/include/Poco/UTF8String.h \
    ../../Poco/Foundation/include/Poco/UTF16Encoding.h \
    ../../Poco/Foundation/include/Poco/UTF32Encoding.h \
    ../../Poco/Foundation/include/Poco/UTFString.h \
    ../../Poco/Foundation/include/Poco/UUID.h \
    ../../Poco/Foundation/include/Poco/UUIDGenerator.h \
    ../../Poco/Foundation/include/Poco/ValidArgs.h \
    ../../Poco/Foundation/include/Poco/Version.h \
    ../../Poco/Foundation/include/Poco/Void.h \
    ../../Poco/Foundation/include/Poco/Windows1250Encoding.h \
    ../../Poco/Foundation/include/Poco/Windows1251Encoding.h \
    ../../Poco/Foundation/include/Poco/Windows1252Encoding.h \
    ../../Poco/Foundation/include/Poco/WindowsConsoleChannel.h \
    ../../Poco/Foundation/include/Poco/zconf.h \
    ../../Poco/Foundation/include/Poco/zlib.h \
    ../../Poco/Foundation/include/Poco/ObjectPool.h

SOURCES += ../../Poco/Foundation/src/Ascii.cpp \
    ../../Poco/Foundation/src/Bugcheck.cpp \
    ../../Poco/Foundation/src/LocalDateTime.cpp \
    ../../Poco/Foundation/src/DigestEngine.cpp \
    ../../Poco/Foundation/src/EventArgs.cpp \
    ../../Poco/Foundation/src/FormattingChannel.cpp \
    ../../Poco/Foundation/src/Latin1Encoding.cpp \
    ../../Poco/Foundation/src/LogStream.cpp \
    ../../Poco/Foundation/src/MD5Engine.cpp \
    ../../Poco/Foundation/src/NotificationCenter.cpp \
    ../../Poco/Foundation/src/TimedNotificationQueue.cpp \
    ../../Poco/Foundation/src/NumberParser.cpp \
    ../../Poco/Foundation/src/Process.cpp \
    ../../Poco/Foundation/src/Runnable.cpp \
    ../../Poco/Foundation/src/SharedLibrary.cpp \
    ../../Poco/Foundation/src/Stopwatch.cpp \
    ../../Poco/Foundation/src/StringTokenizer.cpp \
    ../../Poco/Foundation/src/TaskNotification.cpp \
    ../../Poco/Foundation/src/TextEncoding.cpp \
    ../../Poco/Foundation/src/ActiveDispatcher.cpp \
    ../../Poco/Foundation/src/URIStreamOpener.cpp \
    ../../Poco/Foundation/src/UUID.cpp \
    ../../Poco/Foundation/src/PipeStream.cpp \
    ../../Poco/Foundation/src/Unicode.cpp \
    ../../Poco/Foundation/src/ArchiveStrategy.cpp \
    ../../Poco/Foundation/src/BinaryWriter.cpp \
    ../../Poco/Foundation/src/DateTime.cpp \
    ../../Poco/Foundation/src/DeflatingStream.cpp \
    ../../Poco/Foundation/src/Formatter.cpp \
    ../../Poco/Foundation/src/InflatingStream.cpp \
    ../../Poco/Foundation/src/LoggingRegistry.cpp \
    ../../Poco/Foundation/src/MD4Engine.cpp \
    ../../Poco/Foundation/src/Notification.cpp \
    ../../Poco/Foundation/src/PriorityNotificationQueue.cpp \
    ../../Poco/Foundation/src/NumberFormatter.cpp \
    ../../Poco/Foundation/src/NumericString.cpp \
    ../../Poco/Foundation/src/PatternFormatter.cpp \
    ../../Poco/Foundation/src/RefCountedObject.cpp \
    ../../Poco/Foundation/src/Semaphore.cpp \
    ../../Poco/Foundation/src/SplitterChannel.cpp \
    ../../Poco/Foundation/src/String.cpp \
    ../../Poco/Foundation/src/TaskManager.cpp \
    ../../Poco/Foundation/src/TextConverter.cpp \
    ../../Poco/Foundation/src/ThreadTarget.cpp \
    ../../Poco/Foundation/src/URIStreamFactory.cpp \
    ../../Poco/Foundation/src/UnicodeConverter.cpp \
    ../../Poco/Foundation/src/PipeImpl.cpp \
    ../../Poco/Foundation/src/FileStream.cpp \
    ../../Poco/Foundation/src/ASCIIEncoding.cpp \
    ../../Poco/Foundation/src/ByteOrder.cpp \
    ../../Poco/Foundation/src/DateTimeFormat.cpp \
    ../../Poco/Foundation/src/Clock.cpp \
    ../../Poco/Foundation/src/DigestStream.cpp \
    ../../Poco/Foundation/src/ErrorHandler.cpp \
    ../../Poco/Foundation/src/HexBinaryDecoder.cpp \
    ../../Poco/Foundation/src/Latin9Encoding.cpp \
    ../../Poco/Foundation/src/NamedEvent.cpp \
    ../../Poco/Foundation/src/Manifest.cpp \
    ../../Poco/Foundation/src/URI.cpp \
    ../../Poco/Foundation/src/AbstractObserver.cpp \
    ../../Poco/Foundation/src/PurgeStrategy.cpp \
    ../../Poco/Foundation/src/RotateStrategy.cpp \
    ../../Poco/Foundation/src/SimpleFileChannel.cpp \
    ../../Poco/Foundation/src/StreamChannel.cpp \
    ../../Poco/Foundation/src/SynchronizedObject.cpp \
    ../../Poco/Foundation/src/TeeStream.cpp \
    ../../Poco/Foundation/src/TextIterator.cpp \
    ../../Poco/Foundation/src/Timer.cpp \
    ../../Poco/Foundation/src/UTF16Encoding.cpp \
    ../../Poco/Foundation/src/UUIDGenerator.cpp \
    ../../Poco/Foundation/src/UTF8String.cpp \
    ../../Poco/Foundation/src/AsyncChannel.cpp \
    ../../Poco/Foundation/src/Channel.cpp \
    ../../Poco/Foundation/src/DateTimeFormatter.cpp \
    ../../Poco/Foundation/src/DirectoryIterator.cpp \
    ../../Poco/Foundation/src/Exception.cpp \
    ../../Poco/Foundation/src/LineEndingConverter.cpp \
    ../../Poco/Foundation/src/LogFile.cpp \
    ../../Poco/Foundation/src/NamedMutex.cpp \
    ../../Poco/Foundation/src/Message.cpp \
    ../../Poco/Foundation/src/RWLock.cpp \
    ../../Poco/Foundation/src/Condition.cpp \
    ../../Poco/Foundation/src/StreamConverter.cpp \
    ../../Poco/Foundation/src/Hash.cpp \
    ../../Poco/Foundation/src/TextBufferIterator.cpp \
    ../../Poco/Foundation/src/Timespan.cpp \
    ../../Poco/Foundation/src/Void.cpp \
    ../../Poco/Foundation/src/AtomicCounter.cpp \
    ../../Poco/Foundation/src/Base64Decoder.cpp \
    ../../Poco/Foundation/src/Checksum.cpp \
    ../../Poco/Foundation/src/DateTimeParser.cpp \
    ../../Poco/Foundation/src/FPEnvironment.cpp \
    ../../Poco/Foundation/src/Logger.cpp \
    ../../Poco/Foundation/src/NullChannel.cpp \
    ../../Poco/Foundation/src/Mutex.cpp \
    ../../Poco/Foundation/src/Random.cpp \
    ../../Poco/Foundation/src/StreamCopier.cpp \
    ../../Poco/Foundation/src/HashStatistic.cpp \
    ../../Poco/Foundation/src/Thread.cpp \
    ../../Poco/Foundation/src/Timestamp.cpp \
    ../../Poco/Foundation/src/Format.cpp \
    ../../Poco/Foundation/src/SharedMemory.cpp \
    ../../Poco/Foundation/src/Base64Encoder.cpp \
    ../../Poco/Foundation/src/Configurable.cpp \
    ../../Poco/Foundation/src/File.cpp \
    ../../Poco/Foundation/src/RandomStream.cpp \
    ../../Poco/Foundation/src/ThreadLocal.cpp \
    ../../Poco/Foundation/src/Timezone.cpp \
    ../../Poco/Foundation/src/ConsoleChannel.cpp \
    ../../Poco/Foundation/src/Glob.cpp \
    ../../Poco/Foundation/src/Token.cpp \
    ../../Poco/Foundation/src/ThreadPool.cpp \
    ../../Poco/Foundation/src/NotificationQueue.cpp \
    ../../Poco/Foundation/src/BinaryReader.cpp \
    ../../Poco/Foundation/src/CountingStream.cpp \
    ../../Poco/Foundation/src/Debugger.cpp \
    ../../Poco/Foundation/src/FileChannel.cpp \
    ../../Poco/Foundation/src/HexBinaryEncoder.cpp \
    ../../Poco/Foundation/src/LoggingFactory.cpp \
    ../../Poco/Foundation/src/MemoryPool.cpp \
    ../../Poco/Foundation/src/MemoryStream.cpp \
    ../../Poco/Foundation/src/NestedDiagnosticContext.cpp \
    ../../Poco/Foundation/src/NullStream.cpp \
    ../../Poco/Foundation/src/Path.cpp \
    ../../Poco/Foundation/src/Pipe.cpp \
    ../../Poco/Foundation/src/RegularExpression.cpp \
    ../../Poco/Foundation/src/SHA1Engine.cpp \
    ../../Poco/Foundation/src/SignalHandler.cpp \
    ../../Poco/Foundation/src/StreamTokenizer.cpp \
    ../../Poco/Foundation/src/Task.cpp \
    ../../Poco/Foundation/src/TemporaryFile.cpp \
    ../../Poco/Foundation/src/UTF8Encoding.cpp \
    ../../Poco/Foundation/src/FileStreamFactory.cpp \
    ../../Poco/Foundation/src/zlib/adler32.c \
    ../../Poco/Foundation/src/zlib/crc32.c \
    ../../Poco/Foundation/src/zlib/deflate.c \
    ../../Poco/Foundation/src/zlib/gzclose.c \
    ../../Poco/Foundation/src/zlib/gzlib.c \
    ../../Poco/Foundation/src/zlib/gzread.c \
    ../../Poco/Foundation/src/zlib/gzwrite.c \
    ../../Poco/Foundation/src/zlib/infback.c \
    ../../Poco/Foundation/src/zlib/inffast.c \
    ../../Poco/Foundation/src/zlib/inflate.c \
    ../../Poco/Foundation/src/zlib/inftrees.c \
    ../../Poco/Foundation/src/zlib/trees.c \
    ../../Poco/Foundation/src/zlib/uncompr.c \
    ../../Poco/Foundation/src/zlib/zutil.c \
    ../../Poco/Foundation/src/zlib/zcompress.c \
    ../../Poco/Foundation/src/Zip/Add.cpp \
    ../../Poco/Foundation/src/Zip/AutoDetectStream.cpp \
    ../../Poco/Foundation/src/Zip/Compress.cpp \
    ../../Poco/Foundation/src/Zip/Decompress.cpp \
    ../../Poco/Foundation/src/Zip/Delete.cpp \
    ../../Poco/Foundation/src/Zip/Keep.cpp \
    ../../Poco/Foundation/src/Zip/ParseCallback.cpp \
    ../../Poco/Foundation/src/Zip/PartialStream.cpp \
    ../../Poco/Foundation/src/Zip/Rename.cpp \
    ../../Poco/Foundation/src/Zip/Replace.cpp \
    ../../Poco/Foundation/src/Zip/SkipCallback.cpp \
    ../../Poco/Foundation/src/Zip/ZipArchive.cpp \
    ../../Poco/Foundation/src/Zip/ZipArchiveInfo.cpp \
    ../../Poco/Foundation/src/Zip/ZipCommon.cpp \
    ../../Poco/Foundation/src/Zip/ZipDataInfo.cpp \
    ../../Poco/Foundation/src/Zip/ZipException.cpp \
    ../../Poco/Foundation/src/Zip/ZipFileInfo.cpp \
    ../../Poco/Foundation/src/Zip/ZipLocalFileHeader.cpp \
    ../../Poco/Foundation/src/Zip/ZipManipulator.cpp \
    ../../Poco/Foundation/src/Zip/ZipOperation.cpp \
    ../../Poco/Foundation/src/Zip/ZipStream.cpp \
    ../../Poco/Foundation/src/Zip/ZipUtil.cpp \
    ../../Poco/Foundation/src/JSON/Array.cpp \
    ../../Poco/Foundation/src/JSON/Handler.cpp \
    ../../Poco/Foundation/src/JSON/JSONException.cpp \
    ../../Poco/Foundation/src/JSON/Object.cpp \
    ../../Poco/Foundation/src/JSON/ParseHandler.cpp \
    ../../Poco/Foundation/src/JSON/Parser.cpp \
    ../../Poco/Foundation/src/JSON/PrintHandler.cpp \
    ../../Poco/Foundation/src/JSON/Query.cpp \
    ../../Poco/Foundation/src/JSON/Stringifier.cpp \
    ../../Poco/Foundation/src/JSON/Template.cpp \
    ../../Poco/Foundation/src/JSON/TemplateCache.cpp \
    ../../Poco/Foundation/src/pcre_maketables.c \
    ../../Poco/Foundation/src/pcre_newline.c \
    ../../Poco/Foundation/src/pcre_ord2utf8.c \
    ../../Poco/Foundation/src/pcre_refcount.c \
    ../../Poco/Foundation/src/pcre_string_utils.c \
    ../../Poco/Foundation/src/pcre_study.c \
    ../../Poco/Foundation/src/pcre_tables.c \
    ../../Poco/Foundation/src/pcre_ucd.c \
    ../../Poco/Foundation/src/pcre_valid_utf8.c \
    ../../Poco/Foundation/src/pcre_version.c \
    ../../Poco/Foundation/src/pcre_xclass.c \
    ../../Poco/Foundation/src/pcre_byte_order.c \
    ../../Poco/Foundation/src/pcre_chartables.c \
    ../../Poco/Foundation/src/pcre_compile.c \
    ../../Poco/Foundation/src/pcre_config.c \
    ../../Poco/Foundation/src/pcre_dfa_exec.c \
    ../../Poco/Foundation/src/pcre_exec.c \
    ../../Poco/Foundation/src/pcre_fullinfo.c \
    ../../Poco/Foundation/src/pcre_get.c \
    ../../Poco/Foundation/src/pcre_globals.c \
    ../../Poco/Foundation/src/pcre_jit_compile.c \
    ../../Poco/Foundation/src/UTF32Encoding.cpp \
    ../../Poco/Foundation/src/Var.cpp \
    ../../Poco/Foundation/src/VarHolder.cpp \
    ../../Poco/Foundation/src/Util/LoggingSubsystem.cpp  \
    ../../Poco/Foundation/src/Util/MapConfiguration.cpp  \
    ../../Poco/Foundation/src/Util/Option.cpp  \
    ../../Poco/Foundation/src/Util/OptionCallback.cpp  \
    ../../Poco/Foundation/src/Util/OptionException.cpp  \
    ../../Poco/Foundation/src/Util/OptionProcessor.cpp  \
    ../../Poco/Foundation/src/Util/OptionSet.cpp  \
    ../../Poco/Foundation/src/Util/PropertyFileConfiguration.cpp  \
    ../../Poco/Foundation/src/Util/RegExpValidator.cpp  \
    ../../Poco/Foundation/src/Util/ServerApplication.cpp  \
    ../../Poco/Foundation/src/Util/Subsystem.cpp  \
    ../../Poco/Foundation/src/Util/SystemConfiguration.cpp  \
    ../../Poco/Foundation/src/Util/TimerTask.cpp  \
    ../../Poco/Foundation/src/Util/Validator.cpp  \
    ../../Poco/Foundation/src/Util/XMLConfiguration.cpp  \
    ../../Poco/Foundation/src/Util/AbstractConfiguration.cpp  \
    ../../Poco/Foundation/src/Util/Application.cpp  \
    ../../Poco/Foundation/src/Util/ConfigurationMapper.cpp  \
    ../../Poco/Foundation/src/Util/ConfigurationView.cpp  \
    ../../Poco/Foundation/src/Util/FilesystemConfiguration.cpp  \
    ../../Poco/Foundation/src/Util/HelpFormatter.cpp  \
    ../../Poco/Foundation/src/Util/IniFileConfiguration.cpp  \
    ../../Poco/Foundation/src/Util/IntValidator.cpp  \
    ../../Poco/Foundation/src/Util/JSONConfiguration.cpp  \
    ../../Poco/Foundation/src/Util/LayeredConfiguration.cpp  \
    ../../Poco/Foundation/src/Util/LoggingConfigurator.cpp \
    ../../Poco/Foundation/src/XML/AbstractContainerNode.cpp \
    ../../Poco/Foundation/src/XML/AbstractNode.cpp \
    ../../Poco/Foundation/src/XML/Attr.cpp \
    ../../Poco/Foundation/src/XML/Attributes.cpp \
    ../../Poco/Foundation/src/XML/AttributesImpl.cpp \
    ../../Poco/Foundation/src/XML/AttrMap.cpp \
    ../../Poco/Foundation/src/XML/CDATASection.cpp \
    ../../Poco/Foundation/src/XML/CharacterData.cpp \
    ../../Poco/Foundation/src/XML/ChildNodesList.cpp \
    ../../Poco/Foundation/src/XML/Comment.cpp \
    ../../Poco/Foundation/src/XML/ContentHandler.cpp \
    ../../Poco/Foundation/src/XML/DeclHandler.cpp \
    ../../Poco/Foundation/src/XML/DefaultHandler.cpp \
    ../../Poco/Foundation/src/XML/Document.cpp \
    ../../Poco/Foundation/src/XML/DocumentEvent.cpp \
    ../../Poco/Foundation/src/XML/DocumentFragment.cpp \
    ../../Poco/Foundation/src/XML/DocumentType.cpp \
    ../../Poco/Foundation/src/XML/DOMBuilder.cpp \
    ../../Poco/Foundation/src/XML/DOMException.cpp \
    ../../Poco/Foundation/src/XML/DOMImplementation.cpp \
    ../../Poco/Foundation/src/XML/DOMObject.cpp \
    ../../Poco/Foundation/src/XML/DOMParser.cpp \
    ../../Poco/Foundation/src/XML/DOMSerializer.cpp \
    ../../Poco/Foundation/src/XML/DOMWriter.cpp \
    ../../Poco/Foundation/src/XML/DTDHandler.cpp \
    ../../Poco/Foundation/src/XML/DTDMap.cpp \
    ../../Poco/Foundation/src/XML/Element.cpp \
    ../../Poco/Foundation/src/XML/ElementsByTagNameList.cpp \
    ../../Poco/Foundation/src/XML/Entity.cpp \
    ../../Poco/Foundation/src/XML/EntityReference.cpp \
    ../../Poco/Foundation/src/XML/EntityResolver.cpp \
    ../../Poco/Foundation/src/XML/EntityResolverImpl.cpp \
    ../../Poco/Foundation/src/XML/XMLErrorHandler.cpp \
    ../../Poco/Foundation/src/XML/EventDispatcher.cpp \
    ../../Poco/Foundation/src/XML/EventException.cpp \
    ../../Poco/Foundation/src/XML/EventListener.cpp \
    ../../Poco/Foundation/src/XML/EventTarget.cpp \
    ../../Poco/Foundation/src/XML/InputSource.cpp \
    ../../Poco/Foundation/src/XML/LexicalHandler.cpp \
    ../../Poco/Foundation/src/XML/Locator.cpp \
    ../../Poco/Foundation/src/XML/LocatorImpl.cpp \
    ../../Poco/Foundation/src/XML/MutationEvent.cpp \
    ../../Poco/Foundation/src/XML/Name.cpp \
    ../../Poco/Foundation/src/XML/NamedNodeMap.cpp \
    ../../Poco/Foundation/src/XML/NamePool.cpp \
    ../../Poco/Foundation/src/XML/NamespaceStrategy.cpp \
    ../../Poco/Foundation/src/XML/NamespaceSupport.cpp \
    ../../Poco/Foundation/src/XML/Node.cpp \
    ../../Poco/Foundation/src/XML/NodeAppender.cpp \
    ../../Poco/Foundation/src/XML/NodeFilter.cpp \
    ../../Poco/Foundation/src/XML/NodeIterator.cpp \
    ../../Poco/Foundation/src/XML/NodeList.cpp \
    ../../Poco/Foundation/src/XML/Notation.cpp \
    ../../Poco/Foundation/src/XML/ParserEngine.cpp \
    ../../Poco/Foundation/src/XML/ProcessingInstruction.cpp \
    ../../Poco/Foundation/src/XML/QName.cpp \
    ../../Poco/Foundation/src/XML/SAXException.cpp \
    ../../Poco/Foundation/src/XML/SAXParser.cpp \
    ../../Poco/Foundation/src/XML/Text.cpp \
    ../../Poco/Foundation/src/XML/TreeWalker.cpp \
    ../../Poco/Foundation/src/XML/ValueTraits.cpp \
    ../../Poco/Foundation/src/XML/WhitespaceFilter.cpp \
    ../../Poco/Foundation/src/XML/XMLException.cpp \
    ../../Poco/Foundation/src/XML/XMLFilter.cpp \
    ../../Poco/Foundation/src/XML/XMLFilterImpl.cpp \
    ../../Poco/Foundation/src/XML/xmlparse.cpp \
    ../../Poco/Foundation/src/XML/XMLReader.cpp \
    ../../Poco/Foundation/src/XML/xmlrole.c \
    ../../Poco/Foundation/src/XML/XMLStreamParser.cpp \
    ../../Poco/Foundation/src/XML/XMLStreamParserException.cpp \
    ../../Poco/Foundation/src/XML/XMLString.cpp \
    ../../Poco/Foundation/src/XML/xmltok.c \
    ../../Poco/Foundation/src/XML/xmltok_impl.c \
    ../../Poco/Foundation/src/XML/xmltok_ns.c  \
    ../../Poco/Foundation/src/XML/XMLWriter.cpp \
    ../../Poco/Foundation/src/Event.cpp \
    ../../Poco/Foundation/src/XML/XMLEvent.cpp \
    ../../Poco/Foundation/src/Environment.cpp \
    ../../Poco/Foundation/src/Error.cpp \
    ../../Poco/Foundation/src/Latin2Encoding.cpp \
    ../../Poco/Foundation/src/JSONString.cpp \
    ../../Poco/Foundation/src/Windows1250Encoding.cpp \
    ../../Poco/Foundation/src/Windows1251Encoding.cpp \
    ../../Poco/Foundation/src/Windows1252Encoding.cpp \
    ../../Poco/Foundation/src/EventChannel.cpp \
    ../../Poco/Foundation/src/Innovative_includes.cpp


win32 {

SOURCES += ../../Poco/Foundation/src/WindowsConsoleChannel.cpp
}



OTHER_FILES += \
    ../../Poco/Foundation/include/Poco/vssver.scc

