# -------------------------------------------------
# Project created by QtCreator 2009-12-21T09:08:46
# -------------------------------------------------
QT -= core \
    gui
TEMPLATE = lib
CONFIG += staticlib
CONFIG += c++11
DEFINES += GCC
DEFINES -= UNICODE

HOMEDIR = "../../../"
unix {
    DEFINES += LINUX \
        UNIX \
        _MT
}
win32 {
    contains(QMAKE_HOST.arch, x86_64) {
        DEFINES += WIN64
    }
}

CONFIG(debug, debug|release) {
    DESTDIR =../../../Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR =../../../Lib/Gcc/Release
    OBJECTS_DIR = release
}
INCLUDEPATH = $$HOMEDIR/Malibu \
    $$HOMEDIR/Malibu/Xilinx \
    $$HOMEDIR/Malibu/Ipp \
    $$HOMEDIR/Malibu/Framework/Windows \
    $$HOMEDIR/Malibu/Poco/Foundation/include

TARGET = Vpx_Mb
SOURCES += ../../FmcBoard_Mb.cpp \
    ../../Fmc_Dio_Mb.cpp \
    ../../VpxDeviceMap_Mb.cpp \
    ../../VpxBoard_Mb.cpp \
    ../../VpxSupport_Mb.cpp \
    ../../VpxSubDevice_Misc_Mb.cpp \
    ../../VpxComex_Mb.cpp \
    ../../VpxComexDeviceMap_Mb.cpp \
    ../../VpxComexDeviceDriver_Mb.cpp \
    ../../VpxCop_Mb.cpp \
    ../../VpxCopDeviceMap_Mb.cpp \
    ../../PexDeviceMap_Mb.cpp \
    ../../PexCopDeviceMap_Mb.cpp \
    ../../PexCop_Mb.cpp \
    ../../PexBoard_Mb.cpp \
    ../../FmcSupport_Mb.cpp \
    ../../FmcSubDevice_Stream_Mb.cpp \
    ../../FmcSubDevice_AnalogOut_Mb.cpp \
    ../../FmcSubDevice_AnalogIn_Mb.cpp \
    ../../FmcCarrierDeviceMap_Mb.cpp \
    ../../FmcCarrierBoard_Mb.cpp \
    ../../Fmc_Adc20_Mb.cpp \
    ../../K7Support_Mb.cpp \
    ../../K7SubDevice_Misc_Mb.cpp \
    ../../K7DeviceMap_Mb.cpp \
    ../../K7DeviceDriver_Mb.cpp \
    ../../K7Board_Mb.cpp \
    ../../K7SysDeviceMap_Mb.cpp \
    ../../K7Sys_Mb.cpp \
    ../../K7_SbcDeviceMap_Mb.cpp \
    ../../K7_Sbc_Mb.cpp \
    ../../Fmc_Psi_Mb.cpp \
    ../../Fmc_Sfp_Mb.cpp \
    ../../Fmc_110_Mb.cpp \
    ../../Fmc_250_Mb.cpp \
    ../../Fmc_500_Mb.cpp \
    ../../Fmc_310_Mb.cpp \
    ../../Fmc_QSfp_Mb.cpp \
    ../../AtroposDeviceDriver_Mb.cpp \
    ../../AtroposDeviceMap_Mb.cpp \
    ../../Atropos_Mb.cpp \
    ../../SbcDuo_Mb.cpp \
    ../../SbcDuoDeviceDriver_Mb.cpp \
    ../../SbcDuoDeviceMap_Mb.cpp \
    ../../Fmc_1000_Mb.cpp \
    ../../Fmc_Servo_Mb.cpp \
    ../../XUSubDevice_Misc_Mb.cpp \
    ../../XUFamilyBoard_Mb.cpp \
    ../../XUDeviceDriver_Mb.cpp \
    ../../XUFamilyDeviceMap_Mb.cpp \
    ../../XUSubDevice_Stream_Mb.cpp \
    ../../XUSubDevice_AnalogOut_Mb.cpp \
    ../../XU_TX_Mb.cpp \
    ../../XU_TXDeviceMap_Mb.cpp \
    ../../JESDSubDevice_Stream_Mb.cpp \
    ../../JESDSubDevice_Stream_Tables_Mb.cpp \
    ../../XA_160_Mb.cpp \
    ../../XA_160DeviceMap_Mb.cpp \
    ../../XAFamilyBoard_Mb.cpp \
    ../../XAFamilyDeviceDriver_Mb.cpp \
    ../../XAFamilyDeviceMap_Mb.cpp \
    ../../XASubDevice_AnalogIn_Mb.cpp \
    ../../XASubDevice_AnalogOut_Mb.cpp \
    ../../XASubDevice_Misc_Mb.cpp \
    ../../XASubDevice_Stream_Mb.cpp \
    ../../XUSubDevice_AnalogIn_Mb.cpp \
    ../../XA_RX_Mb.cpp \
    ../../XA_RXDeviceMap_Mb.cpp \
    ../../Pex7Cop_Mb.cpp \
    ../../Pex7CopDeviceDriver_Mb.cpp \
    ../../Pex7CopDeviceMap_Mb.cpp \
    ../../Fmc_SDF_Mb.cpp \
    ../../XA_402_Mb.cpp \
    ../../XA_402DeviceMap_Mb.cpp \
    ../../XA_TXDeviceMap_Mb.cpp \
    ../../XA_TX_Mb.cpp \
    ../../XA_500_Mb.cpp \
    ../../XA_500DeviceMap_Mb.cpp

HEADERS += \
    ../../K7SysMemoryMap_Mb.h \
    ../../K7SysDeviceMap_Mb.h \
    ../../K7Sys_Mb.h \
    ../../K7Support_Mb.h \
    ../../K7SubDevice_Misc_Mb.h \
    ../../K7DeviceMap_Mb.h \
    ../../K7DeviceDriver_Mb.h \
    ../../K7Board_Mb.h \
    ../../K7_SbcDeviceMap_Mb.h \
    ../../K7_Sbc_Mb.h \
    ../../Fmc_Psi_Mb.h \
    ../../Fmc_Sfp_Mb.h \
    ../../Fmc_110_Mb.h \
    ../../Fmc_250_Mb.h \
    ../../Fmc_500_Mb.h \
    ../../Fmc_310_Mb.h \
    ../../Fmc_QSfp_Mb.h \
    ../../AtroposMemoryMap_Mb.h \
    ../../AtroposDeviceDriver_Mb.h \
    ../../AtroposDeviceMap_Mb.h \
    ../../Atropos_Mb.h \
    ../../SbcDuo_Mb.h \
    ../../SbcDuoDeviceDriver_Mb.h \
    ../../SbcDuoDeviceMap_Mb.h \
    ../../SbcDuoMemoryMap_Mb.h \
    ../../Fmc_1000_Mb.h \
    ../../Fmc_Servo_Mb.h \
    ../../XUSubDevice_Misc_Mb.h \
    ../../XUFamilyBoard_Mb.h \
    ../../XUFamilyMemoryMap_Mb.h \
    ../../XUDeviceDriver_Mb.h \
    ../../XUFamilyDeviceMap_Mb.h \
    ../../XUSubDevice_Stream_Mb.h \
    ../../XUSubDevice_AnalogOut_Mb.h \
    ../../XU_TX_Mb.h \
    ../../XU_TXDeviceMap_Mb.h \
    ../../XU_TXMemoryMap_Mb.h \
    ../../JESDSubDevice_Stream_Mb.h \
    ../../XA_160_Mb.h \
    ../../XA_160DeviceMap_Mb.h \
    ../../XA_160MemoryMap_Mb.h \
    ../../XAFamilyBoard_Mb.h \
    ../../XAFamilyDeviceDriver_Mb.h \
    ../../XAFamilyDeviceMap_Mb.h \
    ../../XAFamilyMemoryMap_Mb.h \
    ../../XASubDevice_AnalogIn_Mb.h \
    ../../XASubDevice_AnalogOut_Mb.h \
    ../../XASubDevice_Misc_Mb.h \
    ../../XASubDevice_Stream_Mb.h \
    ../../XA_RX_Mb.h \
    ../../XA_RXDeviceMap_Mb.h \
    ../../XA_RXMemoryMap_Mb.h \
    ../../Pex7Cop_Mb.h \
    ../../Pex7CopDeviceDriver_Mb.h \
    ../../Pex7CopDeviceMap_Mb.h \
    ../../Pex7CopMemoryMap_Mb.h \
    ../../Fmc_SDF_Mb.h \
    ../../XA_402_Mb.h \
    ../../XA_402DeviceMap_Mb.h \
    ../../XA_402MemoryMap_Mb.h \
    ../../XA_TXDeviceMap_Mb.h \
    ../../XA_TX_Mb.h \
    ../../XA_TXMemoryMap_Mb.h \
    ../../XA_500_Mb.h \
    ../../XA_500DeviceMap_Mb.h \
    ../../XA_500MemoryMap_Mb.h
