//  QuadiaMemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef QuadiaMemoryMap_MbH
#define QuadiaMemoryMap_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

namespace Quadia_MemoryMap
{
/*
    const int  hwmFpaReg             = 0x00001;
    const int  hwmOneWireLow         = 0x00002;
    const int  hwmOneWireHigh        = 0x00003;




    // Compatibility
    const int  hwmLogicConfig        = 0x00100;
                                //   = 0x12800;
    const int  hwmFifoLevelControl   = 0x00101;    // Still needed ?
                                //   = 0x13400;
                                //   = 0x13800;
                                //   = 0x13C00;
    const int  hwmPciBackplaneEnable = 0x00102;
    const int  hwmPciInterruptEnable = 0x00103;
    const int  hwmInterruptStatus    = 0x00104;
*/

    //
    //  Port Memory Registers
    const unsigned int  hwmControlReg         = 0x00000;
    const unsigned int  hwmStatusReg          = 0x00000;

    const unsigned int  hwmFpga0Ctl           = 0x00006;
    const unsigned int  hwmFpga0Status        = 0x00007;
    const unsigned int  hwmFpga0Data          = 0x00005;

    const unsigned int  hwmFpga1Ctl           = 0x00008;
    const unsigned int  hwmFpga1Status        = 0x00009;
    const unsigned int  mmThermalSensor       = 0x0000e;
    const unsigned int  hwmFpga1Data          = 0x00017;

    const unsigned int  mmFpa                 = 0x00001;
    const unsigned int  mmJtag                = 0x00001;

    // DSP reset control - not used at this time, since DSPs can
    // be logically reset via HPI
/*
    const int  hwmDsp0Ctl                     = 0x00011;
    const int  hwmDsp1Ctl                     = 0x00012;
    const int  hwmDsp2Ctl                     = 0x00013;
    const int  hwmDsp3Ctl                     = 0x00014;
*/

    const int  hwmPll0Ctl                     = 0x00035;
    const int  hwmPll0Data                    = 0x0000a;

    const int  hwmPll1Ctl                     = 0x00034;
    const int  hwmPll1Data                    = 0x0000b;

} // end namespace Quadia_MemoryMap

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // end namespace Innovative


#endif
