#ifndef SEMA_H
#define SEMA_H

#include "Poco/SharedLibrary.h"

namespace Innovative
{
//===========================================================================
//  CLASS Sema
//===========================================================================
typedef unsigned char	byte;

class Sema
{
    static const int           IdromSizeInBytes = 1000;   // IDROM size in words
    static const int           JunkSize = 20;   // IDROM size in words

public:
    Sema();
    ~Sema();

    static bool InitCalled;

    //Storage methods
    void ReadMemoryBlock(byte *data);
    void WriteMemoryBlock(byte *data);
    bool BmcFlag();

private:
    Poco::SharedLibrary  *Lib;
};






} // namespace Innovative

#endif // SEMA_H
