// SingletonManager_Mb.cpp
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef SingletonManager_MbH
#define SingletonManager_MbH

namespace OpenWire
{

#ifdef __CLR_VER
#pragma managed(push, off)
#endif

#ifdef _MSC_VER
  #ifdef _USRDLL
    #define OW_DllExport   __declspec( dllexport )
  #else
    #define OW_DllExport   __declspec( dllimport )
  #endif
#else
  #define OW_DllExport
#endif

//===========================================================================
// SingletonService CLASS:
//===========================================================================

class SingletonService
{
    friend class SingletonManager;

protected:
    SingletonService();
    virtual ~SingletonService();
};

unsigned int  GetMainThreadId();

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // namespace OpenWire

#endif
