#ifndef TRACELOGGER_MB_H
#define TRACELOGGER_MB_H
#include <string>

namespace Poco {
    class FormattingChannel;
}

namespace Innovative
{

//==============================================================================
//  CLASS YaloImpl-- POCO Logger implementation
//==============================================================================
class YaloImpl
{
    friend YaloImpl &Yalo();
public:
    void Error(const std::string &s);
    void Warning(const std::string &s);
    void Information(const std::string &s);
    void ChannelToFile();

private:
    YaloImpl();

    Poco::FormattingChannel* _channel;
};

YaloImpl &Yalo();

}  // namespace

#endif // TRACELOGGER_MB_H
