//  X3FifoExtensionRegisterss.cpp
//

#include "X3FifoExtension_Mb.h"
#include <IniFile_Mb.h>

namespace Innovative
{


//------------------------------------------------------------------------------
//  constructor for class X3FifoExtensionRegisters
//------------------------------------------------------------------------------

X3FifoExtensionRegisters::X3FifoExtensionRegisters(X3Servo & board )
    :  inherited(board),
    RecvWordCountRegister (PortMemory, 0x1E800),
    RecvFifoRegister (PortMemory, 0x1EC00),
    SendWordCountRegister (PortMemory, 0x1F000),
    SendFifoRegister (PortMemory, 0x1F400),
    DacDelayTimerRegister (LogicMemory, 0x7C)
{
}

}

