//  X5_RXMemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef X5_RXMemoryMap_MbH
#define X5_RXMemoryMap_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

namespace X5_RXMemoryMap
{
    // Packets
    const unsigned int  mmLowSpeedPacketHeader  = 0x19;
	const unsigned int  mmInPacketHeader   	    = 0x1b;

    // Timebase
    // PLL
	const unsigned int  mmPllControl  		  = 0x800;
	const unsigned int  mmPllSpiIntf      	  = 0x801;
    // Vcxo
    const unsigned int  mmVcxoI2C             = 0x802;

    // Analog
    // Adc
	const unsigned int  mmAdcControl		  = 0x803;
	const unsigned int  mmDither	          = 0x804;
	const unsigned int  mmLsRateConfig        = 0x805;
    const unsigned int  mmInTriggerControl 	  = 0x806;
	const unsigned int  mmInDecimation        = 0x807;
	const unsigned int  mmInGainCoef		  = 0x808;
	const unsigned int  mmInOffsetCoef		  = 0x810;

    // Dummy
	const unsigned int  mmInChannelEnable     = 0;

} // end namespace X5_RXMemoryMap

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // end namespace Innovative


#endif
