//  X5_TxMemoryMap_Mb.h
//
//    INNOVATIVE INTEGRATION CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or nondisclosure
//  agreement with Innovative Integration Corporation and may not be copied or
//  disclosed except in accordance with the terms of that agreement.
//  Copyright (c) 2000..2005 Innovative Integration Corporation.
//  All Rights Reserved.
//

#ifndef X5_TxMemoryMap_MbH
#define X5_TxMemoryMap_MbH

namespace Innovative
{
#ifdef __CLR_VER
#pragma managed(push, off)
#endif

namespace X5_TxMemoryMap
{
	// Data mode
	const unsigned int  mmResolution	  	    = 0x07;

	// Packets
	const unsigned int  mmPatternModeCtl        = 0x15;
	const unsigned int  mmDacPacketHeader       = 0x1b;
	const unsigned int  mmLoopbackPacketHeader  = 0x1c;
    // Coefficients
	const unsigned int  mmOutGainCoef    	  = 0x80a;
	const unsigned int  mmOutOffsetCoef    	  = 0x80e;

    const unsigned int  mmPllControl          = 0x800;
    const unsigned int  mmPllSpi              = 0x801;
    // Analog
    //   Misc control
	const unsigned int  mmOutControl		  = 0x802;
    //   Test Gen
    const unsigned int  mmGeneratorControl    = 0x803;
    const unsigned int  mmGeneratorCoeff      = 0x804;
    //   Dac 0
	const unsigned int  mmDac0TriggerControl  = 0x805;
    const unsigned int  mmDac0Spi             = 0x806;
    //   Dac 1
	const unsigned int  mmDac1TriggerControl  = 0x807;
    const unsigned int  mmDac1Spi             = 0x808;
    //   SoftwareTrigger
    const unsigned int  mmSoftwareTrigger     = 0x809;

    const unsigned int  mmVcoI2C              = 0x812;

    const unsigned int  mmDacCalCtrl          = 0x813;



	
} // end namespace X5_TxMemoryMap

#ifdef __CLR_VER
#pragma managed(pop)
#endif
} // end namespace Innovative


#endif
