# -------------------------------------------------
# Project created by QtCreator 2009-12-17T08:49:47
# -------------------------------------------------
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
QT += gui
TARGET = GPDDC
TEMPLATE = lib
CONFIG += staticlib
CONFIG += c++11

DEFINES += GCC Foundation_EXPORTS
DEFINES -= UNICODE WINNT
DEFINES += _MT

SOURCES += \
    ../Common/Filter.cpp \
    ../Common/GraphTool_Mb.cpp \
    ../GpDsp/CommonRegisters_Gp.cpp \
    ../GpDsp/Components_Gp.cpp \
    ../GpDsp/GpDspManager_Gp.cpp \
    ../GpDsp/DrcProvider_Gp.cpp \
    ../GpDsp/GpProject_DDC_Gp.cpp \
    ../GpDsp/DdcModule_Gp.cpp \
    ../GpDsp/CommonModule_Gp.cpp \
    ../GpDsp/SupportProxy_Gp.cpp \
    ../GpDsp/ChannelsProxy_Gp.cpp \
    ../GpDsp/SpectralModule_Gp.cpp \
    ../GpDsp/FftProxy_Gp.cpp \
    ../GpDsp/DucModule_Gp.cpp \
    ../GpDsp/GpProviderBase_Gp.cpp \
    ../GpDsp/GpManagerBase_Gp.cpp \
    ../GpDsp/GpDucManager_Gp.cpp \
    ../GpDsp/DucProvider_Gp.cpp \
    ../Common/QTableWidgetEx.cpp \
    ../GpDsp/ClockProxy_Gp.cpp \
    ../GpDsp/X3ClockModule_Gp.cpp \
    ../GpDsp/SbcDuoClockModule_Gp.cpp \
    ../GpDsp/AtroposClockModule_Gp.cpp

HEADERS += \
    ../Common/Filter.h \
    ../Common/GraphTool_Mb.h \
    ../GpDsp/GpDspMemoryMap_Gp.h \
    ../GpDsp/CommonRegisters_Gp.h \
    ../GpDsp/Components_Gp.h \
    ../GpDsp/GpDspManager_Gp.h \
    ../GpDsp/DrcProvider_Gp.h \
    ../GpDsp/GpDsp_Config_Gp.h \
    ../GpDsp/GpProject_DDC_Gp.h \
    ../GpDsp/DdcModule_Gp.h \
    ../GpDsp/CommonModule_Gp.h \
    ../GpDsp/SupportProxy_Gp.h \
    ../GpDsp/ChannelsProxy_Gp.h \
    ../GpDsp/GpDspMemoryStringMap_Gp.h \
    ../Common/GraphingWidget.h \
    ../GpDsp/SpectralModule_Gp.h \
    ../GpDsp/FftProxy_Gp.h \
    ../Common/Fft_WindowingCoeffs.h \
    ../GpDsp/DucModule_Gp.h \
    ../Common/DataGrid.h \
    ../Common/QTableWidgetEx.h \
    ../GpDsp/GpProviderBase_Gp.h \
    ../GpDsp/DucProvider_Gp.h \
    ../GpDsp/ClockProxy_Gp.h \
    ../GpDsp/X3ClockModule_Gp.h \
    ../GpDsp/SbcDuoClockModule_Gp.h \
    ../GpDsp/AtroposClockModule_Gp.h

unix:HOMEDIR = "/usr/Innovative"
unix:DEFINES += LINUX
win32:HOMEDIR = $$(INNOVATIVECOMMON)


greaterThan(QT_MAJOR_VERSION, 4) {

CONFIG(debug, debug|release) {
    DESTDIR = $$HOMEDIR/Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR = $$HOMEDIR/Lib/Gcc/Release
    OBJECTS_DIR = release
}

} else {

CONFIG(debug, debug|release) {
    DESTDIR = $$HOMEDIR/Lib/Gcc/Debug
    OBJECTS_DIR = debug
}
else {
    DESTDIR = $$HOMEDIR/Lib/Gcc/Release
    OBJECTS_DIR = release
}

}


LIBS += -Wl,@$$HOMEDIR/Lib/Gcc/Malibu_Qt.lcf

INCLUDEPATH = $$HOMEDIR/Malibu \
        $$HOMEDIR/Malibu/Poco/Foundation/include \
    ../Common \
    ../GpDsp
